export declare type SiteId = {};
export declare type SearchRequest = {
    [key: string]: any;
} & {
    query: any;
    limit?: number;
    sorts?: Array<object>;
    offset?: number;
};
export declare type PaginatedSearchResult = {
    [key: string]: any;
} & {
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    hits?: Array<object>;
};
export declare type SimpleSearchResult = {
    [key: string]: any;
} & {
    limit: number;
    offset: number;
    total: number;
    hits?: Array<object>;
};
export declare type ErrorResponse = {
    [key: string]: any;
} & {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
};
export declare type Offset = {};
export declare type Limit = {};
export declare type FirewallRule = {
    [key: string]: any;
} & {
    zoneId: string;
    type: string;
    action: string;
    values: Array<string>;
    firewallruleId?: string;
};
export declare type CollectionResponseEnvelope = {
    [key: string]: any;
} & {
    data?: Array<any>;
};
export declare type WafGroupEnvelope = {
    [key: string]: any;
} & {
    data: {
        [key: string]: any;
    } & {
        mode: string;
        groupId?: string;
        action?: string;
        description?: string;
    };
};
export declare type Zone = {
    [key: string]: any;
} & {
    zoneId: string;
    name: string;
    status: string;
};
export declare type ZonesEnvelope = {
    [key: string]: any;
} & {
    data: Array<object>;
};
export declare type ItemResponseEnvelope = {
    [key: string]: any;
} & {
    data?: {
        [key: string]: any;
    } & {};
};
export declare type ZoneEnvelope = {
    [key: string]: any;
} & {
    data: {
        [key: string]: any;
    } & {
        zoneId: string;
        name: string;
        status: string;
    };
};
export declare type FirewallRuleEnvelope = {
    [key: string]: any;
} & {
    data: {
        [key: string]: any;
    } & {
        zoneId: string;
        type: string;
        action: string;
        values: Array<string>;
        firewallruleId?: string;
    };
};
export declare type FirewallRulesEnvelope = {
    [key: string]: any;
} & {
    data: Array<object>;
};
export declare type WafGroupsEnvelope = {
    [key: string]: any;
} & {
    data: Array<object>;
};
export declare type WafRulesEnvelope = {
    [key: string]: any;
} & {
    data: Array<object>;
};
export declare type WafGroup = {
    [key: string]: any;
} & {
    mode: string;
    groupId?: string;
    action?: string;
    description?: string;
};
export declare type WafRuleEnvelope = {
    [key: string]: any;
} & {
    data: {
        [key: string]: any;
    } & {
        action: string;
        ruleId?: string;
        groupId?: string;
        defaultAction?: string;
        description?: string;
    };
};
export declare type WafRule = {
    [key: string]: any;
} & {
    action: string;
    ruleId?: string;
    groupId?: string;
    defaultAction?: string;
    description?: string;
};
//# sourceMappingURL=cdnApi.types.d.ts.map