export declare type ErrorResponse = {
    [key: string]: any;
} & {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
};
export declare type Offset = {};
export declare type Limit = {};
export declare type SiteId = {};
export declare type SearchRequest = {
    [key: string]: any;
} & {
    query: any;
    limit?: number;
    sorts?: Array<object>;
    offset?: number;
};
export declare type PaginatedSearchResult = {
    [key: string]: any;
} & {
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    previous?: {
        [key: string]: any;
    } & {
        limit: number;
        offset: number;
    };
    hits?: Array<object>;
    next?: {
        [key: string]: any;
    } & {
        limit: number;
        offset: number;
    };
};
export declare type SimpleSearchResult = {
    [key: string]: any;
} & {
    limit: number;
    offset: number;
    total: number;
    hits?: Array<object>;
};
export declare type PaymentCardSpec = {
    [key: string]: any;
} & {
    cardType?: string;
    checksumVerificationEnabled?: boolean;
    description?: string;
    image?: string;
    name?: string;
    numberLengths?: Array<string>;
    numberPrefixes?: Array<string>;
};
export declare type OrderAddress = {
    [key: string]: any;
} & {
    address1?: string;
    address2?: string;
    city?: string;
    companyName?: string;
    countryCode?: string;
    firstName?: string;
    fullName?: string;
    id?: string;
    jobTitle?: string;
    lastName?: string;
    phone?: string;
    postBox?: string;
    postalCode?: string;
    salutation?: string;
    secondName?: string;
    stateCode?: string;
    suffix?: string;
    suite?: string;
    title?: string;
};
export declare type BasketsResult = {
    [key: string]: any;
} & {
    baskets: Array<object>;
    total: number;
};
export declare type PaymentCard = {
    [key: string]: any;
} & {
    cardType?: string;
    creditCardExpired?: boolean;
    creditCardToken?: string;
    expirationMonth?: number;
    expirationYear?: number;
    holder?: string;
    issueNumber?: string;
    maskedNumber?: string;
    numberLastDigits?: string;
    validFromMonth?: number;
    validFromYear?: number;
};
export declare type NotesResult = {
    [key: string]: any;
} & {
    notes?: Array<object>;
};
export declare type ShippingItem = {
    [key: string]: any;
} & {
    adjustedTax?: number;
    basePrice?: number;
    itemId?: string;
    itemText?: string;
    price?: number;
    priceAdjustments?: Array<object>;
    priceAfterItemDiscount?: number;
    shipmentId?: string;
    tax?: number;
    taxBasis?: number;
    taxClassId?: string;
    taxRate?: number;
};
export declare type Discount = {
    [key: string]: any;
} & {
    type: string;
    amount?: number;
    percentage?: number;
    priceBookId?: string;
};
export declare type Note = {
    [key: string]: any;
} & {
    createdBy?: string;
    creationDate?: any;
    id?: string;
    subject?: string;
    text?: string;
};
export declare type CouponItem = {
    [key: string]: any;
} & {
    code: string;
    couponItemId?: string;
    statusCode?: string;
    valid?: boolean;
};
export declare type PromotionLink = {
    [key: string]: any;
} & {
    calloutMsg?: string;
    name?: string;
    promotionId?: string;
    title?: string;
};
export declare type ShippingPromotion = {
    [key: string]: any;
} & {
    calloutMsg?: string;
    promotionId?: string;
    promotionName?: string;
};
export declare type ProductItem = {
    [key: string]: any;
} & {
    adjustedTax?: number;
    basePrice?: number;
    bonusDiscountLineItemId?: string;
    bonusProductLineItem?: boolean;
    bundledProductItems?: Array<any>;
    gift?: boolean;
    giftMessage?: string;
    inventoryId?: string;
    itemId?: string;
    itemText?: string;
    optionItems?: Array<object>;
    price?: number;
    priceAdjustments?: Array<object>;
    priceAfterItemDiscount?: number;
    priceAfterOrderDiscount?: number;
    productId?: string;
    productListItem?: {
        [key: string]: any;
    } & {
        id: string;
        priority?: number;
        productDetailsLink?: {
            [key: string]: any;
        } & {
            productId: string;
            productDescription?: string;
            productName?: string;
            title?: string;
        };
        productList?: {
            [key: string]: any;
        } & {
            description?: string;
            name?: string;
            public?: boolean;
            title?: string;
            type?: string;
        };
        public?: boolean;
        purchasedQuantity?: number;
        quantity?: number;
        type?: string;
    };
    productName?: string;
    quantity?: number;
    shipmentId?: string;
    shippingItemId?: string;
    tax?: number;
    taxBasis?: number;
    taxClassId?: string;
    taxRate?: number;
};
export declare type BasketPaymentInstrumentRequest = {
    [key: string]: any;
} & {
    amount?: number;
    bankRoutingNumber?: string;
    giftCertificateCode?: string;
    paymentCard?: {
        cardType?: string;
        creditCardToken?: string;
        expirationMonth?: number;
        expirationYear?: number;
        holder?: string;
        issueNumber?: string;
        maskedNumber?: string;
        validFromMonth?: number;
        validFromYear?: number;
    };
    paymentMethodId?: string;
};
export declare type OrderPaymentInstrument = {
    [key: string]: any;
} & {
    amount?: number;
    authorizationStatus?: {
        [key: string]: any;
    } & {
        code?: string;
        message?: string;
        status?: number;
    };
    bankRoutingNumber?: string;
    maskedGiftCertificateCode?: string;
    paymentCard?: {
        [key: string]: any;
    } & {
        cardType?: string;
        creditCardExpired?: boolean;
        creditCardToken?: string;
        expirationMonth?: number;
        expirationYear?: number;
        holder?: string;
        issueNumber?: string;
        maskedNumber?: string;
        numberLastDigits?: string;
        validFromMonth?: number;
        validFromYear?: number;
    };
    paymentInstrumentId?: string;
    paymentMethodId?: string;
};
export declare type BonusDiscountLineItem = {
    [key: string]: any;
} & {
    bonusProducts?: Array<object>;
    couponCode?: string;
    id?: string;
    maxBonusItems?: number;
    promotionId?: string;
};
export declare type PaymentMethodResult = {
    [key: string]: any;
} & {
    applicablePaymentMethods?: Array<object>;
};
export declare type Shipment = {
    [key: string]: any;
} & {
    adjustedMerchandizeTotalTax?: number;
    adjustedShippingTotalTax?: number;
    gift?: boolean;
    giftMessage?: string;
    merchandizeTotalTax?: number;
    productSubTotal?: number;
    productTotal?: number;
    shipmentId?: string;
    shipmentNo?: string;
    shipmentTotal?: number;
    shippingAddress?: {
        [key: string]: any;
    } & {
        address1?: string;
        countryCode?: string;
        suffix?: string;
        jobTitle?: string;
        lastName?: string;
        fullName?: string;
        companyName?: string;
        id?: string;
        title?: string;
        firstName?: string;
        stateCode?: string;
        postBox?: string;
        secondName?: string;
        salutation?: string;
        phone?: string;
        suite?: string;
        city?: string;
        address2?: string;
        postalCode?: string;
    };
    shippingMethod?: {
        [key: string]: any;
    } & {
        id: string;
        description?: string;
        externalShippingMethod?: string;
        name?: string;
        price?: number;
        shippingPromotions?: Array<object>;
    };
    shippingStatus?: string;
    shippingTotal?: number;
    shippingTotalTax?: number;
    taxTotal?: number;
    trackingNumber?: string;
};
export declare type CustomerInfo = {
    [key: string]: any;
} & {
    email: string;
    customerId?: string;
    customerName?: string;
    customerNo?: string;
};
export declare type SimpleLink = {
    [key: string]: any;
} & {};
export declare type PriceAdjustment = {
    [key: string]: any;
} & {
    appliedDiscount?: {
        [key: string]: any;
    } & {
        type: string;
        priceBookId?: string;
        amount?: number;
        percentage?: number;
    };
    couponCode?: string;
    createdBy?: string;
    creationDate?: any;
    custom?: boolean;
    itemText?: string;
    lastModified?: any;
    manual?: boolean;
    price?: number;
    priceAdjustmentId?: string;
    promotionId?: string;
    promotionLink?: string;
    reasonCode?: string;
};
export declare type ShippingMethodResult = {
    [key: string]: any;
} & {
    applicableShippingMethods?: Array<object>;
    defaultShippingMethodId?: string;
};
export declare type ProductDetailsLink = {
    [key: string]: any;
} & {
    productId: string;
    productDescription?: string;
    productName?: string;
    title?: string;
};
export declare type OptionItem = {
    [key: string]: any;
} & {
    optionId: string;
    optionValueId: string;
    adjustedTax?: number;
    basePrice?: number;
    bonusDiscountLineItemId?: string;
    bonusProductLineItem?: boolean;
    bundledProductItems?: Array<any>;
    gift?: boolean;
    giftMessage?: string;
    inventoryId?: string;
    itemId?: string;
    itemText?: string;
    optionItems?: Array<any>;
    price?: number;
    priceAdjustments?: Array<object>;
    priceAfterItemDiscount?: number;
    priceAfterOrderDiscount?: number;
    productId?: string;
    productListItem?: {
        [key: string]: any;
    } & {
        id: string;
        priority?: number;
        productDetailsLink?: {
            [key: string]: any;
        } & {
            productId: string;
            productDescription?: string;
            productName?: string;
            title?: string;
        };
        productList?: {
            [key: string]: any;
        } & {
            description?: string;
            name?: string;
            public?: boolean;
            title?: string;
            type?: string;
        };
        public?: boolean;
        purchasedQuantity?: number;
        quantity?: number;
        type?: string;
    };
    productName?: string;
    quantity?: number;
    shipmentId?: string;
    shippingItemId?: string;
    tax?: number;
    taxBasis?: number;
    taxClassId?: string;
    taxRate?: number;
};
export declare type ShippingMethod = {
    [key: string]: any;
} & {
    id: string;
    description?: string;
    externalShippingMethod?: string;
    name?: string;
    price?: number;
    shippingPromotions?: Array<object>;
};
export declare type Basket = {
    [key: string]: any;
} & {
    adjustedMerchandizeTotalTax?: number;
    adjustedShippingTotalTax?: number;
    agentBasket?: boolean;
    basketId?: string;
    billingAddress?: {
        [key: string]: any;
    } & {
        address1?: string;
        address2?: string;
        city?: string;
        companyName?: string;
        countryCode?: string;
        firstName?: string;
        fullName?: string;
        id?: string;
        jobTitle?: string;
        lastName?: string;
        phone?: string;
        postBox?: string;
        postalCode?: string;
        salutation?: string;
        secondName?: string;
        stateCode?: string;
        suffix?: string;
        suite?: string;
        title?: string;
    };
    bonusDiscountLineItems?: Array<object>;
    channelType?: string;
    couponItems?: Array<object>;
    creationDate?: any;
    currency?: string;
    customerInfo?: {
        [key: string]: any;
    } & {
        email: string;
        customerId?: string;
        customerName?: string;
        customerNo?: string;
    };
    giftCertificateItems?: Array<object>;
    inventoryReservationExpiry?: any;
    lastModified?: any;
    merchandizeTotalTax?: number;
    notes?: {
        [key: string]: any;
    } & {};
    orderPriceAdjustments?: Array<object>;
    orderTotal?: number;
    paymentInstruments?: Array<object>;
    productItems?: Array<object>;
    productSubTotal?: number;
    productTotal?: number;
    shipments?: Array<object>;
    shippingItems?: Array<object>;
    shippingTotal?: number;
    shippingTotalTax?: number;
    sourceCode?: string;
    taxTotal?: number;
    taxation?: string;
};
export declare type OrderPaymentInstrumentRequest = {
    [key: string]: any;
} & {
    amount?: number;
    bankRoutingNumber?: string;
    giftCertificateCode?: string;
    paymentCard?: {
        validFromMonth?: number;
        creditCardToken?: string;
        expirationYear?: number;
        expirationMonth?: number;
        cardType?: string;
        maskedNumber?: string;
        holder?: string;
        issueNumber?: string;
        validFromYear?: number;
    };
    paymentMethodId?: string;
};
export declare type GiftCertificateItem = {
    [key: string]: any;
} & {
    amount: number;
    recipientEmail: string;
    giftCertificateItemId?: string;
    message?: string;
    recipientName?: string;
    senderName?: string;
    shipmentId?: string;
};
export declare type ProductListLink = {
    [key: string]: any;
} & {
    description?: string;
    name?: string;
    public?: boolean;
    title?: string;
    type?: string;
};
export declare type Order = {
    [key: string]: any;
} & {
    adjustedMerchandizeTotalTax?: number;
    adjustedShippingTotalTax?: number;
    billingAddress?: {
        [key: string]: any;
    } & {
        address1?: string;
        address2?: string;
        city?: string;
        companyName?: string;
        countryCode?: string;
        firstName?: string;
        fullName?: string;
        id?: string;
        jobTitle?: string;
        lastName?: string;
        phone?: string;
        postBox?: string;
        postalCode?: string;
        salutation?: string;
        secondName?: string;
        stateCode?: string;
        suffix?: string;
        suite?: string;
        title?: string;
    };
    bonusDiscountLineItems?: Array<object>;
    channelType?: string;
    confirmationStatus?: string;
    couponItems?: Array<object>;
    createdBy?: string;
    creationDate?: any;
    currency?: string;
    customerInfo?: {
        [key: string]: any;
    } & {
        email: string;
        customerName?: string;
        customerNo?: string;
        customerId?: string;
    };
    customerName?: string;
    exportStatus?: string;
    externalOrderStatus?: string;
    giftCertificateItems?: Array<object>;
    globalPartyId?: string;
    lastModified?: any;
    merchandizeTotalTax?: number;
    notes?: {
        [key: string]: any;
    } & {};
    orderNo?: string;
    orderPriceAdjustments?: Array<object>;
    orderToken?: string;
    orderTotal?: number;
    paymentInstruments?: Array<object>;
    paymentStatus?: string;
    productItems?: Array<object>;
    productSubTotal?: number;
    productTotal?: number;
    shipments?: Array<object>;
    shippingItems?: Array<object>;
    shippingStatus?: string;
    shippingTotal?: number;
    shippingTotalTax?: number;
    siteId?: string;
    sourceCode?: string;
    status?: string;
    taxTotal?: number;
    taxation?: string;
};
export declare type OrderPaymentCardRequest = {
    cardType?: string;
    creditCardToken?: string;
    expirationMonth?: number;
    expirationYear?: number;
    holder?: string;
    issueNumber?: string;
    maskedNumber?: string;
    validFromMonth?: number;
    validFromYear?: number;
};
export declare type PaymentMethod = {
    [key: string]: any;
} & {
    id: string;
    cards?: Array<object>;
    description?: string;
    image?: string;
    name?: string;
    paymentProcessorId?: string;
};
export declare type Status = {
    [key: string]: any;
} & {
    code?: string;
    message?: string;
    status?: number;
};
export declare type ProductListItemReference = {
    [key: string]: any;
} & {
    id: string;
    priority?: number;
    productDetailsLink?: {
        [key: string]: any;
    } & {
        productId: string;
        productDescription?: string;
        productName?: string;
        title?: string;
    };
    productList?: {
        [key: string]: any;
    } & {
        description?: string;
        name?: string;
        public?: boolean;
        title?: string;
        type?: string;
    };
    public?: boolean;
    purchasedQuantity?: number;
    quantity?: number;
    type?: string;
};
//# sourceMappingURL=shopperBaskets.types.d.ts.map