export declare type SiteId = {};
export declare type SearchRequest = {
    [key: string]: any;
} & {
    query: any;
    limit?: number;
    sorts?: Array<object>;
    offset?: number;
};
export declare type PaginatedSearchResult = {
    [key: string]: any;
} & {
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    hits?: Array<object>;
};
export declare type SimpleSearchResult = {
    [key: string]: any;
} & {
    limit: number;
    offset: number;
    total: number;
    hits?: Array<object>;
};
export declare type Error = {
    [key: string]: any;
} & {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
};
export declare type ErrorResponse = {
    [key: string]: any;
} & {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
};
export declare type Offset = {};
export declare type Limit = {};
export declare type CustomerAddress = {
    [key: string]: any;
} & {
    addressId: string;
    countryCode: string;
    lastName: string;
    address1?: string;
    address2?: string;
    city?: string;
    companyName?: string;
    creationDate?: any;
    etag?: string;
    firstName?: string;
    fullName?: string;
    jobTitle?: string;
    lastModified?: any;
    phone?: string;
    postBox?: string;
    postalCode?: string;
    salutation?: string;
    secondName?: string;
    stateCode?: string;
    suffix?: string;
    suite?: string;
    title?: string;
};
export declare type CustomerGroupSearchResult = {
    [key: string]: any;
} & {
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    hits?: Array<object>;
};
export declare type CustomerList = {
    [key: string]: any;
} & {
    id: string;
};
export declare type CustomerSearchHit = {
    [key: string]: any;
} & {
    data: {
        [key: string]: any;
    } & {
        customerNo: string;
        lastName: string;
        previousLoginTime?: any;
        phoneMobile?: string;
        lastModified?: any;
        credentials?: {
            [key: string]: any;
        } & {
            login: string;
            enabled?: boolean;
            locked?: boolean;
            passwordQuestion?: string;
        };
        lastVisitTime?: any;
        jobTitle?: string;
        suffix?: string;
        lastLoginTime?: any;
        phoneHome?: string;
        companyName?: string;
        title?: string;
        firstName?: string;
        birthday?: any;
        email?: string;
        phoneBusiness?: string;
        secondName?: string;
        customerId?: string;
        salutation?: string;
        fax?: string;
        primaryAddress?: {
            [key: string]: any;
        } & {
            addressId: string;
            countryCode: string;
            lastName: string;
            address1?: string;
            address2?: string;
            city?: string;
            companyName?: string;
            creationDate?: any;
            etag?: string;
            firstName?: string;
            fullName?: string;
            jobTitle?: string;
            lastModified?: any;
            phone?: string;
            postBox?: string;
            postalCode?: string;
            salutation?: string;
            secondName?: string;
            stateCode?: string;
            suffix?: string;
            suite?: string;
            title?: string;
        };
        previousVisitTime?: any;
        creationDate?: any;
        gender?: number;
        preferredLocale?: string;
    };
    relevance: number;
};
export declare type CustomerGroupMembers = {
    [key: string]: any;
} & {
    limit?: number;
    data?: Array<object>;
    offset?: number;
    total?: number;
};
export declare type Rule = {
    [key: string]: any;
} & {
    description: string;
};
export declare type CustomerGroup = {
    [key: string]: any;
} & {
    id: string;
    creationDate?: any;
    description?: string;
    inDeletion?: boolean;
    lastModified?: any;
    memberCount?: number;
    rule?: {
        [key: string]: any;
    } & {
        description: string;
    };
    type?: string;
};
export declare type CustomerGroupMemberSearchResult = {
    [key: string]: any;
} & {
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    hits?: Array<object>;
};
export declare type CustomerAddressResult = {
    [key: string]: any;
} & {
    limit?: number;
    data?: Array<object>;
    offset?: number;
    total?: number;
};
export declare type Customer = {
    [key: string]: any;
} & {
    customerNo: string;
    lastName: string;
    birthday?: any;
    companyName?: string;
    creationDate?: any;
    credentials?: {
        [key: string]: any;
    } & {
        login: string;
        enabled?: boolean;
        locked?: boolean;
        passwordQuestion?: string;
    };
    customerId?: string;
    email?: string;
    fax?: string;
    firstName?: string;
    gender?: number;
    jobTitle?: string;
    lastLoginTime?: any;
    lastModified?: any;
    lastVisitTime?: any;
    phoneBusiness?: string;
    phoneHome?: string;
    phoneMobile?: string;
    preferredLocale?: string;
    previousLoginTime?: any;
    previousVisitTime?: any;
    primaryAddress?: {
        [key: string]: any;
    } & {
        addressId: string;
        countryCode: string;
        lastName: string;
        address1?: string;
        address2?: string;
        city?: string;
        companyName?: string;
        creationDate?: any;
        etag?: string;
        firstName?: string;
        fullName?: string;
        jobTitle?: string;
        lastModified?: any;
        phone?: string;
        postBox?: string;
        postalCode?: string;
        salutation?: string;
        secondName?: string;
        stateCode?: string;
        suffix?: string;
        suite?: string;
        title?: string;
    };
    salutation?: string;
    secondName?: string;
    suffix?: string;
    title?: string;
};
export declare type CustomerGroupMember = {
    [key: string]: any;
} & {
    customerNo: string;
    lastName: string;
    active?: boolean;
    creationDate?: any;
    email?: string;
    firstName?: string;
    lastModified?: any;
    login?: string;
};
export declare type Credentials = {
    [key: string]: any;
} & {
    login: string;
    enabled?: boolean;
    locked?: boolean;
    passwordQuestion?: string;
};
export declare type CustomerSearchResult = {
    [key: string]: any;
} & {
    hits: Array<object>;
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
};
//# sourceMappingURL=customers.types.d.ts.map