export declare type SiteId = {};
export declare type SearchRequest = {
    [key: string]: any;
} & {
    query: any;
    limit?: number;
    sorts?: Array<object>;
    offset?: number;
};
export declare type PaginatedSearchResult = {
    [key: string]: any;
} & {
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    hits?: Array<object>;
};
export declare type SimpleSearchResult = {
    [key: string]: any;
} & {
    limit: number;
    offset: number;
    total: number;
    hits?: Array<object>;
};
export declare type Error = {
    [key: string]: any;
} & {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
};
export declare type ErrorResponse = {
    [key: string]: any;
} & {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
};
export declare type Offset = {};
export declare type Limit = {};
export declare type CustomerAddress = {
    [key: string]: any;
} & {
    addressId: string;
    countryCode: string;
    lastName: string;
    address1?: string;
    address2?: string;
    city?: string;
    companyName?: string;
    creationDate?: any;
    firstName?: string;
    fullName?: string;
    jobTitle?: string;
    lastModified?: any;
    phone?: string;
    postBox?: string;
    postalCode?: string;
    preferred?: boolean;
    salutation?: string;
    secondName?: string;
    stateCode?: string;
    suffix?: string;
    suite?: string;
    title?: string;
};
export declare type CustomerProductListResult = {
    [key: string]: any;
} & {
    limit: number;
    data: Array<object>;
    total: number;
};
export declare type CustomerProductListItemPurchase = {
    [key: string]: any;
} & {
    id: string;
    orderNo: string;
    productListItemId: string;
    purchaserName: string;
    quantity: number;
};
export declare type OptionValue = {
    [key: string]: any;
} & {
    id: string;
    default?: boolean;
    name?: string;
    price?: number;
};
export declare type Master = {
    [key: string]: any;
} & {
    masterId: string;
    orderable?: boolean;
    price?: number;
    priceMax?: number;
    prices?: {
        [key: string]: number;
    } & {};
};
export declare type OrderAddress = {
    [key: string]: any;
} & {
    address1: string;
    city: string;
    countryCode: string;
    firstName: string;
    lastName: string;
    postalCode: string;
    address2?: string;
    companyName?: string;
    fullName?: string;
    id?: string;
    jobTitle?: string;
    phone?: string;
    postBox?: string;
    salutation?: string;
    secondName?: string;
    stateCode?: string;
    suffix?: string;
    suite?: string;
    title?: string;
};
export declare type PublicProductListResult = {
    [key: string]: any;
} & {
    limit: number;
    data: Array<object>;
    total: number;
};
export declare type BasketsResult = {
    [key: string]: any;
} & {
    baskets: Array<object>;
    total: number;
};
export declare type TrustedSystemAuthRequest = {
    [key: string]: any;
} & {
    clientId: string;
    login: string;
};
export declare type ResetPasswordRequest = {
    [key: string]: any;
} & {
    resetToken: string;
    login: string;
    newPassword: string;
};
export declare type PaymentCard = {
    [key: string]: any;
} & {
    cardType: string;
    creditCardExpired?: boolean;
    creditCardToken?: string;
    expirationMonth?: number;
    expirationYear?: number;
    holder?: string;
    issueNumber?: string;
    maskedNumber?: string;
    numberLastDigits?: string;
    validFromMonth?: number;
    validFromYear?: number;
};
export declare type ShippingItem = {
    [key: string]: any;
} & {
    adjustedTax: number;
    basePrice: number;
    itemId: string;
    itemText: string;
    price: number;
    priceAdjustments: Array<object>;
    priceAfterItemDiscount: number;
    shipmentId: string;
    tax: number;
    taxBasis: number;
    taxClassId: string;
    taxRate: number;
};
export declare type Discount = {
    [key: string]: any;
} & {
    type: string;
    amount?: number;
    percentage?: number;
    priceBookId?: string;
};
export declare type ResetPasswordToken = {
    [key: string]: any;
} & {
    login: string;
    email: string;
    resetToken: string;
    expiresInMinutes: number;
};
export declare type CouponItem = {
    [key: string]: any;
} & {
    code: string;
    couponItemId?: string;
    statusCode?: string;
    valid?: boolean;
};
export declare type CustomerPaymentInstrumentResult = {
    [key: string]: any;
} & {
    limit: number;
    data: Array<object>;
    total: number;
};
export declare type ShippingPromotion = {
    [key: string]: any;
} & {
    calloutMsg: string;
    promotionId: string;
    promotionName: string;
};
export declare type VariationAttribute = {
    [key: string]: any;
} & {
    id: string;
    name?: string;
    values?: Array<object>;
};
export declare type ProductListShippingAddress = {
    [key: string]: any;
} & {
    addressId: string;
    city?: string;
    firstName?: string;
    lastName?: string;
};
export declare type ProductItem = {
    [key: string]: any;
} & {
    quantity: number;
    adjustedTax?: number;
    basePrice?: number;
    bonusDiscountLineItemId?: string;
    bonusProductLineItem?: boolean;
    bundledProductItems?: Array<any>;
    gift?: boolean;
    giftMessage?: string;
    inventoryId?: string;
    itemId?: string;
    itemText?: string;
    optionItems?: Array<object>;
    price?: number;
    priceAdjustments?: Array<object>;
    priceAfterItemDiscount?: number;
    priceAfterOrderDiscount?: number;
    productId?: string;
    productListItem?: {
        [key: string]: any;
    } & {
        id: string;
        productList?: {
            [key: string]: any;
        } & {
            description: string;
            link: string;
            name: string;
            public: boolean;
            title: string;
            type: string;
        };
        purchasedQuantity?: number;
        public?: boolean;
        type?: string;
        priority?: number;
        quantity?: number;
    };
    productName?: string;
    shipmentId?: string;
    shippingItemId?: string;
    tax?: number;
    taxBasis?: number;
    taxClassId?: string;
    taxRate?: number;
};
export declare type CustomerProductListRegistrant = {
    [key: string]: any;
} & {
    email: string;
    firstName: string;
    lastName: string;
    role: string;
};
export declare type PublicProductListInfo = {
    [key: string]: any;
} & {
    id: string;
    title: string;
    type: string;
    description?: string;
    name?: string;
};
export declare type CustomerPaymentCardRequest = {
    [key: string]: any;
} & {
    cardType: string;
    expirationMonth: number;
    expirationYear: number;
    holder: string;
    issueNumber: string;
    number: string;
    validFromMonth: number;
    validFromYear: number;
    creditCardToken?: string;
};
export declare type RecommendationType = {
    [key: string]: any;
} & {
    displayValue: string;
    value: number;
};
export declare type OrderPaymentInstrument = {
    [key: string]: any;
} & {
    amount: number;
    authorizationStatus: {
        [key: string]: any;
    } & {
        code: string;
        message: string;
        status: number;
    };
    bankRoutingNumber: string;
    maskedGiftCertificateCode: string;
    paymentBankAccount: {
        [key: string]: any;
    } & {
        driversLicenseLastDigits?: string;
        driversLicenseStateCode?: string;
        holder?: string;
        maskedDriversLicense?: string;
        maskedNumber?: string;
        numberLastDigits?: string;
    };
    paymentCard: {
        [key: string]: any;
    } & {
        cardType: string;
        creditCardExpired?: boolean;
        creditCardToken?: string;
        expirationMonth?: number;
        expirationYear?: number;
        holder?: string;
        issueNumber?: string;
        maskedNumber?: string;
        numberLastDigits?: string;
        validFromMonth?: number;
        validFromYear?: number;
    };
    paymentInstrumentId: string;
    paymentMethodId: string;
};
export declare type CustomerProductListItemResult = {
    [key: string]: any;
} & {
    limit: number;
    data: Array<object>;
    offset: number;
    total: number;
};
export declare type ProductType = {
    [key: string]: any;
} & {
    bundle: boolean;
    item: boolean;
    master: boolean;
    option: boolean;
    set: boolean;
    variant: boolean;
    variationGroup: boolean;
};
export declare type PaymentBankAccount = {
    [key: string]: any;
} & {
    driversLicenseLastDigits?: string;
    driversLicenseStateCode?: string;
    holder?: string;
    maskedDriversLicense?: string;
    maskedNumber?: string;
    numberLastDigits?: string;
};
export declare type Recommendation = {
    [key: string]: any;
} & {
    recommendationType: {
        [key: string]: any;
    } & {
        displayValue: string;
        value: number;
    };
    calloutMsg?: string;
    image?: {
        [key: string]: any;
    } & {
        link: string;
        title?: string;
        alt?: string;
        disBaseLink?: string;
    };
    longDescription?: string;
    name?: string;
    recommendedItemId?: string;
    recommendedItemLink?: string;
    shortDescription?: string;
};
export declare type Variant = {
    [key: string]: any;
} & {
    productId: string;
    orderable?: boolean;
    price?: number;
    variationValues?: {
        [key: string]: string;
    } & {};
};
export declare type BonusDiscountLineItem = {
    [key: string]: any;
} & {
    bonusProducts: Array<object>;
    couponCode: string;
    id: string;
    maxBonusItems: number;
    promotionId: string;
};
export declare type CustomerPaymentInstrument = {
    [key: string]: any;
} & {
    paymentBankAccount: {
        [key: string]: any;
    } & {
        driversLicenseLastDigits?: string;
        driversLicenseStateCode?: string;
        holder?: string;
        maskedDriversLicense?: string;
        maskedNumber?: string;
        numberLastDigits?: string;
    };
    paymentCard: {
        [key: string]: any;
    } & {
        cardType: string;
        creditCardExpired?: boolean;
        creditCardToken?: string;
        expirationMonth?: number;
        expirationYear?: number;
        holder?: string;
        issueNumber?: string;
        maskedNumber?: string;
        numberLastDigits?: string;
        validFromMonth?: number;
        validFromYear?: number;
    };
    paymentInstrumentId: string;
    paymentMethodId: string;
    bankRoutingNumber?: string;
    creationDate?: any;
    lastModified?: any;
    maskedGiftCertificateCode?: string;
};
export declare type Shipment = {
    [key: string]: any;
} & {
    shippingStatus: string;
    adjustedMerchandizeTotalTax?: number;
    adjustedShippingTotalTax?: number;
    gift?: boolean;
    giftMessage?: string;
    merchandizeTotalTax?: number;
    productSubTotal?: number;
    productTotal?: number;
    shipmentId?: string;
    shipmentNo?: string;
    shipmentTotal?: number;
    shippingAddress?: {
        [key: string]: any;
    } & {
        address1: string;
        countryCode: string;
        lastName: string;
        firstName: string;
        city: string;
        postalCode: string;
        suffix?: string;
        jobTitle?: string;
        fullName?: string;
        companyName?: string;
        id?: string;
        title?: string;
        stateCode?: string;
        postBox?: string;
        secondName?: string;
        salutation?: string;
        phone?: string;
        suite?: string;
        address2?: string;
    };
    shippingMethod?: {
        [key: string]: any;
    } & {
        id: string;
        description?: string;
        externalShippingMethod?: string;
        name?: string;
        price?: number;
        shippingPromotions?: Array<object>;
    };
    shippingTotal?: number;
    shippingTotalTax?: number;
    taxTotal?: number;
    trackingNumber?: string;
};
export declare type CustomerInfo = {
    [key: string]: any;
} & {
    customerNo: string;
    email: string;
    customerId?: string;
    customerName?: string;
};
export declare type VariationGroup = {
    [key: string]: any;
} & {
    orderable: boolean;
    price: number;
    productId: string;
    variationValues: {
        [key: string]: string;
    } & {};
};
export declare type SimpleLink = {
    [key: string]: any;
} & {
    link: string;
};
export declare type PaymentBankAccountRequest = {
    [key: string]: any;
} & {
    driversLicense: string;
    driversLicenseStateCode: string;
    holder: string;
    number: string;
};
export declare type PriceAdjustment = {
    [key: string]: any;
} & {
    appliedDiscount: {
        [key: string]: any;
    } & {
        type: string;
        priceBookId?: string;
        amount?: number;
        percentage?: number;
    };
    couponCode: string;
    createdBy: string;
    creationDate: any;
    custom: boolean;
    itemText: string;
    lastModified: any;
    manual: boolean;
    price: number;
    priceAdjustmentId: string;
    promotionId: string;
    promotionLink: string;
    reasonCode: string;
};
export declare type PublicProductListItem = {
    [key: string]: any;
} & {
    id: string;
    priority: number;
    type: string;
    product?: {
        [key: string]: any;
    } & {
        id: string;
        priceMax?: number;
        variationAttributes?: Array<object>;
        upc?: string;
        variationValues?: {
            [key: string]: string;
        } & {};
        variationGroups?: Array<object>;
        brand?: string;
        pageTitle?: string;
        productPromotions?: Array<object>;
        manufacturerName?: string;
        validTo?: any;
        ean?: string;
        inventory?: {
            [key: string]: any;
        } & {
            id: string;
            backorderable?: boolean;
            orderable?: boolean;
            preorderable?: boolean;
            inStockDate?: any;
            stockLevel?: number;
            ats?: number;
        };
        name?: string;
        validFrom?: any;
        shortDescription?: string;
        fetchDate?: number;
        primaryCategoryId?: string;
        longDescription?: string;
        minOrderQuantity?: number;
        manufacturerSku?: string;
        prices?: {
            [key: string]: number;
        } & {};
        recommendations?: Array<object>;
        options?: Array<object>;
        variants?: Array<object>;
        unit?: string;
        imageGroups?: Array<object>;
        pageKeywords?: string;
        currency?: string;
        pageDescription?: string;
        price?: number;
        bundledProducts?: Array<object>;
        setProducts?: Array<any>;
        inventories?: Array<object>;
        type?: {
            [key: string]: any;
        } & {
            bundle: boolean;
            item: boolean;
            master: boolean;
            option: boolean;
            set: boolean;
            variant: boolean;
            variationGroup: boolean;
        };
        stepQuantity?: number;
        productLinks?: Array<object>;
        master?: {
            [key: string]: any;
        } & {
            masterId: string;
            priceMax?: number;
            prices?: {
                [key: string]: number;
            } & {};
            orderable?: boolean;
            price?: number;
        };
    };
};
export declare type ProductDetailsLink = {
    [key: string]: any;
} & {
    productId: string;
    productDescription?: string;
    productName?: string;
    title?: string;
};
export declare type ProductLink = {
    [key: string]: any;
} & {
    sourceProductId: string;
    sourceProductLink: string;
    targetProductId: string;
    targetProductLink: string;
    type: string;
};
export declare type OptionItem = {
    [key: string]: any;
} & {
    optionId: string;
    optionValueId: string;
    adjustedTax?: number;
    basePrice?: number;
    bonusDiscountLineItemId?: string;
    bonusProductLineItem?: boolean;
    bundledProductItems?: Array<any>;
    gift?: boolean;
    giftMessage?: string;
    inventoryId?: string;
    itemId?: string;
    itemText?: string;
    optionItems?: Array<any>;
    price?: number;
    priceAdjustments?: Array<object>;
    priceAfterItemDiscount?: number;
    priceAfterOrderDiscount?: number;
    productId?: string;
    productListItem?: {
        [key: string]: any;
    } & {
        id: string;
        priority?: number;
        productList?: {
            [key: string]: any;
        } & {
            description: string;
            link: string;
            name: string;
            public: boolean;
            title: string;
            type: string;
        };
        public?: boolean;
        purchasedQuantity?: number;
        quantity?: number;
        type?: string;
    };
    productName?: string;
    quantity?: number;
    shipmentId?: string;
    shippingItemId?: string;
    tax?: number;
    taxBasis?: number;
    taxClassId?: string;
    taxRate?: number;
};
export declare type ShippingMethod = {
    [key: string]: any;
} & {
    id: string;
    description?: string;
    externalShippingMethod?: string;
    name?: string;
    price?: number;
    shippingPromotions?: Array<object>;
};
export declare type ProductListEvent = {
    [key: string]: any;
} & {
    type: string;
    city?: string;
    country?: string;
    date?: any;
    state?: string;
};
export declare type PasswordChangeRequest = {
    [key: string]: any;
} & {
    currentPassword: string;
    password: string;
};
export declare type AuthRequest = {
    [key: string]: any;
} & {
    type?: string;
};
export declare type Inventory = {
    [key: string]: any;
} & {
    id: string;
    ats?: number;
    backorderable?: boolean;
    inStockDate?: any;
    orderable?: boolean;
    preorderable?: boolean;
    stockLevel?: number;
};
export declare type CustomerProductList = {
    [key: string]: any;
} & {
    coRegistrant?: {
        [key: string]: any;
    } & {
        email: string;
        firstName: string;
        lastName: string;
        role: string;
    };
    creationDate?: any;
    currentShippingAddressInfo?: {
        [key: string]: any;
    } & {
        addressId: string;
        title: string;
    };
    customerProductListItems?: Array<object>;
    description?: string;
    event?: {
        [key: string]: any;
    } & {
        type: string;
        city?: string;
        country?: string;
        date?: any;
        state?: string;
    };
    id?: string;
    lastModified?: any;
    name?: string;
    postEventShippingAddressInfo?: {
        [key: string]: any;
    } & {
        addressId: string;
        title: string;
    };
    productListShippingAddress?: {
        [key: string]: any;
    } & {
        addressId: string;
        city?: string;
        firstName?: string;
        lastName?: string;
    };
    public?: boolean;
    registrant?: {
        [key: string]: any;
    } & {
        email: string;
        firstName: string;
        lastName: string;
        role: string;
    };
    shippingAddressInfo?: {
        [key: string]: any;
    } & {
        addressId: string;
        title: string;
    };
    type?: string;
};
export declare type Basket = {
    [key: string]: any;
} & {
    adjustedMerchandizeTotalTax: number;
    adjustedShippingTotalTax: number;
    agentBasket: boolean;
    basketId: string;
    billingAddress: {
        [key: string]: any;
    } & {
        address1: string;
        city: string;
        countryCode: string;
        firstName: string;
        lastName: string;
        postalCode: string;
        address2?: string;
        companyName?: string;
        fullName?: string;
        id?: string;
        jobTitle?: string;
        phone?: string;
        postBox?: string;
        salutation?: string;
        secondName?: string;
        stateCode?: string;
        suffix?: string;
        suite?: string;
        title?: string;
    };
    bonusDiscountLineItems: Array<object>;
    channelType: string;
    couponItems: Array<object>;
    creationDate: any;
    currency: string;
    customerInfo: {
        [key: string]: any;
    } & {
        customerNo: string;
        email: string;
        customerId?: string;
        customerName?: string;
    };
    giftCertificateItems: Array<object>;
    inventoryReservationExpiry: any;
    lastModified: any;
    merchandizeTotalTax: number;
    notes: {
        [key: string]: any;
    } & {
        link: string;
    };
    orderPriceAdjustments: Array<object>;
    orderTotal: number;
    paymentInstruments: Array<object>;
    productItems: Array<object>;
    productSubTotal: number;
    productTotal: number;
    shipments: Array<object>;
    shippingItems: Array<object>;
    shippingTotal: number;
    shippingTotalTax: number;
    sourceCode: string;
    taxTotal: number;
    taxation: string;
};
export declare type PublicProductListItemResult = {
    [key: string]: any;
} & {
    limit: number;
    data: Array<object>;
    total: number;
};
export declare type CustomerPaymentInstrumentRequest = {
    [key: string]: any;
} & {
    bankRoutingNumber: string;
    giftCertificateCode: string;
    paymentCard: {
        [key: string]: any;
    } & {
        number: string;
        validFromMonth: number;
        expirationYear: number;
        expirationMonth: number;
        cardType: string;
        holder: string;
        issueNumber: string;
        validFromYear: number;
        creditCardToken?: string;
    };
    paymentMethodId: string;
    paymentBankAccount?: {
        [key: string]: any;
    } & {
        driversLicense: string;
        driversLicenseStateCode: string;
        holder: string;
        number: string;
    };
};
export declare type ImageGroup = {
    [key: string]: any;
} & {
    images: Array<object>;
    viewType: string;
    variationAttributes?: Array<object>;
};
export declare type CustomerAddressResult = {
    [key: string]: any;
} & {
    limit: number;
    data: Array<object>;
    offset: number;
    total: number;
};
export declare type CustomerProductListItemPurchaseResult = {
    [key: string]: any;
} & {
    limit: number;
    data: Array<object>;
    total: number;
};
export declare type Customer = {
    [key: string]: any;
} & {
    addresses?: Array<object>;
    authType?: string;
    birthday?: any;
    companyName?: string;
    creationDate?: any;
    customerId?: string;
    customerNo?: string;
    email?: string;
    enabled?: boolean;
    fax?: string;
    firstName?: string;
    gender?: number;
    jobTitle?: string;
    lastLoginTime?: any;
    lastModified?: any;
    lastName?: string;
    lastVisitTime?: any;
    login?: string;
    note?: string;
    paymentInstruments?: Array<object>;
    phoneBusiness?: string;
    phoneHome?: string;
    phoneMobile?: string;
    preferredLocale?: string;
    previousLoginTime?: any;
    previousVisitTime?: any;
    salutation?: string;
    secondName?: string;
    suffix?: string;
    title?: string;
};
export declare type PublicProductList = {
    [key: string]: any;
} & {
    id: string;
    public: boolean;
    type: string;
    coRegistrant?: {
        [key: string]: any;
    } & {
        lastName: string;
        firstName: string;
        role: string;
    };
    creationDate?: any;
    description?: string;
    event?: {
        [key: string]: any;
    } & {
        type: string;
        state?: string;
        country?: string;
        date?: any;
        city?: string;
    };
    lastModified?: any;
    name?: string;
    productListItems?: Array<object>;
    productListShippingAddress?: {
        [key: string]: any;
    } & {
        addressId: string;
        lastName?: string;
        firstName?: string;
        city?: string;
    };
    registrant?: {
        [key: string]: any;
    } & {
        lastName: string;
        firstName: string;
        role: string;
    };
};
export declare type Option = {
    [key: string]: any;
} & {
    id: string;
    description?: string;
    image?: string;
    name?: string;
    values?: Array<object>;
};
export declare type CustomerOrderResult = {
    [key: string]: any;
} & {
    limit: number;
    data: Array<object>;
    offset: number;
    total: number;
};
export declare type GiftCertificateItem = {
    [key: string]: any;
} & {
    amount: number;
    recipientEmail: string;
    giftCertificateItemId?: string;
    message?: string;
    recipientName?: string;
    senderName?: string;
    shipmentId?: string;
};
export declare type CustomerAddressInfo = {
    [key: string]: any;
} & {
    addressId: string;
    title: string;
};
export declare type ResetPasswordTokenRequest = {
    [key: string]: any;
} & {
    login: string;
};
export declare type ProductListLink = {
    [key: string]: any;
} & {
    description: string;
    link: string;
    name: string;
    public: boolean;
    title: string;
    type: string;
};
export declare type ProductListRegistrant = {
    [key: string]: any;
} & {
    firstName: string;
    lastName: string;
    role: string;
};
export declare type Order = {
    [key: string]: any;
} & {
    confirmationStatus: string;
    exportStatus: string;
    paymentStatus: string;
    shippingStatus: string;
    status: string;
    adjustedMerchandizeTotalTax?: number;
    adjustedShippingTotalTax?: number;
    billingAddress?: {
        [key: string]: any;
    } & {
        address1: string;
        city: string;
        countryCode: string;
        firstName: string;
        lastName: string;
        postalCode: string;
        address2?: string;
        companyName?: string;
        fullName?: string;
        id?: string;
        jobTitle?: string;
        phone?: string;
        postBox?: string;
        salutation?: string;
        secondName?: string;
        stateCode?: string;
        suffix?: string;
        suite?: string;
        title?: string;
    };
    bonusDiscountLineItems?: Array<object>;
    channelType?: string;
    couponItems?: Array<object>;
    createdBy?: string;
    creationDate?: any;
    currency?: string;
    customerInfo?: {
        [key: string]: any;
    } & {
        customerNo: string;
        email: string;
        customerName?: string;
        customerId?: string;
    };
    customerName?: string;
    externalOrderStatus?: string;
    giftCertificateItems?: Array<object>;
    globalPartyId?: string;
    lastModified?: any;
    merchandizeTotalTax?: number;
    notes?: {
        [key: string]: any;
    } & {
        link: string;
    };
    orderNo?: string;
    orderPriceAdjustments?: Array<object>;
    orderToken?: string;
    orderTotal?: number;
    paymentInstruments?: Array<object>;
    productItems?: Array<object>;
    productSubTotal?: number;
    productTotal?: number;
    shipments?: Array<object>;
    shippingItems?: Array<object>;
    shippingTotal?: number;
    shippingTotalTax?: number;
    siteId?: string;
    sourceCode?: string;
    taxTotal?: number;
    taxation?: string;
};
export declare type Product = {
    [key: string]: any;
} & {
    id: string;
    brand?: string;
    bundledProducts?: Array<object>;
    currency?: string;
    ean?: string;
    fetchDate?: number;
    imageGroups?: Array<object>;
    inventories?: Array<object>;
    inventory?: {
        [key: string]: any;
    } & {
        id: string;
        backorderable?: boolean;
        orderable?: boolean;
        preorderable?: boolean;
        inStockDate?: any;
        stockLevel?: number;
        ats?: number;
    };
    longDescription?: string;
    manufacturerName?: string;
    manufacturerSku?: string;
    master?: {
        [key: string]: any;
    } & {
        masterId: string;
        priceMax?: number;
        prices?: {
            [key: string]: number;
        } & {};
        orderable?: boolean;
        price?: number;
    };
    minOrderQuantity?: number;
    name?: string;
    options?: Array<object>;
    pageDescription?: string;
    pageKeywords?: string;
    pageTitle?: string;
    price?: number;
    priceMax?: number;
    prices?: {
        [key: string]: number;
    } & {};
    primaryCategoryId?: string;
    productLinks?: Array<object>;
    productPromotions?: Array<object>;
    recommendations?: Array<object>;
    setProducts?: Array<any>;
    shortDescription?: string;
    stepQuantity?: number;
    type?: {
        [key: string]: any;
    } & {
        bundle: boolean;
        item: boolean;
        master: boolean;
        option: boolean;
        set: boolean;
        variant: boolean;
        variationGroup: boolean;
    };
    unit?: string;
    upc?: string;
    validFrom?: any;
    validTo?: any;
    variants?: Array<object>;
    variationAttributes?: Array<object>;
    variationGroups?: Array<object>;
    variationValues?: {
        [key: string]: string;
    } & {};
};
export declare type Image = {
    [key: string]: any;
} & {
    link: string;
    alt?: string;
    disBaseLink?: string;
    title?: string;
};
export declare type VariationAttributeValue = {
    [key: string]: any;
} & {
    value: string;
    description?: string;
    image?: {
        [key: string]: any;
    } & {
        link: string;
        title?: string;
        alt?: string;
        disBaseLink?: string;
    };
    imageSwatch?: {
        [key: string]: any;
    } & {
        link: string;
        title?: string;
        alt?: string;
        disBaseLink?: string;
    };
    name?: string;
    orderable?: boolean;
};
export declare type ProductPromotion = {
    [key: string]: any;
} & {
    calloutMsg: string;
    promotionId: string;
    promotionalPrice: number;
};
export declare type BundledProduct = {
    [key: string]: any;
} & {
    id: string;
    product: any;
    quantity: number;
};
export declare type Status = {
    [key: string]: any;
} & {
    code: string;
    message: string;
    status: number;
};
export declare type CustomerProductListItem = {
    [key: string]: any;
} & {
    priority: number;
    public: boolean;
    quantity: number;
    id?: string;
    product?: {
        [key: string]: any;
    } & {
        id: string;
        brand?: string;
        bundledProducts?: Array<object>;
        currency?: string;
        ean?: string;
        fetchDate?: number;
        imageGroups?: Array<object>;
        inventories?: Array<object>;
        inventory?: {
            [key: string]: any;
        } & {
            id: string;
            backorderable?: boolean;
            orderable?: boolean;
            preorderable?: boolean;
            inStockDate?: any;
            stockLevel?: number;
            ats?: number;
        };
        longDescription?: string;
        manufacturerName?: string;
        manufacturerSku?: string;
        master?: {
            [key: string]: any;
        } & {
            masterId: string;
            priceMax?: number;
            prices?: {
                [key: string]: number;
            } & {};
            orderable?: boolean;
            price?: number;
        };
        minOrderQuantity?: number;
        name?: string;
        options?: Array<object>;
        pageDescription?: string;
        pageKeywords?: string;
        pageTitle?: string;
        price?: number;
        priceMax?: number;
        prices?: {
            [key: string]: number;
        } & {};
        primaryCategoryId?: string;
        productLinks?: Array<object>;
        productPromotions?: Array<object>;
        recommendations?: Array<object>;
        setProducts?: Array<any>;
        shortDescription?: string;
        stepQuantity?: number;
        type?: {
            [key: string]: any;
        } & {
            bundle: boolean;
            item: boolean;
            master: boolean;
            option: boolean;
            set: boolean;
            variant: boolean;
            variationGroup: boolean;
        };
        unit?: string;
        upc?: string;
        validFrom?: any;
        validTo?: any;
        variants?: Array<object>;
        variationAttributes?: Array<object>;
        variationGroups?: Array<object>;
        variationValues?: {
            [key: string]: string;
        } & {};
    };
    productId?: string;
    purchasedQuantity?: number;
    type?: string;
};
export declare type ProductListItemReference = {
    [key: string]: any;
} & {
    id: string;
    priority?: number;
    productList?: {
        [key: string]: any;
    } & {
        description: string;
        link: string;
        name: string;
        public: boolean;
        title: string;
        type: string;
    };
    public?: boolean;
    purchasedQuantity?: number;
    quantity?: number;
    type?: string;
};
//# sourceMappingURL=shopperCustomers.types.d.ts.map