export declare type Money = {
    [key: string]: any;
} & {
    currencyMnemonic?: any;
    value?: number;
};
export declare type CountryCode = {};
export declare type SimpleSearchResult = {
    [key: string]: any;
} & {
    limit: number;
    offset: number;
    total: number;
    hits?: Array<object>;
};
export declare type SiteId = {};
export declare type SearchRequest = {
    [key: string]: any;
} & {
    query: any;
    limit?: number;
    sorts?: Array<object>;
    offset?: number;
};
export declare type LanguageCode = {};
export declare type PaginatedSearchResult = {
    [key: string]: any;
} & {
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    hits?: Array<object>;
};
export declare type ErrorResponse = {
    [key: string]: any;
} & {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
};
export declare type Offset = {};
export declare type Limit = {};
export declare type TimeOfDay = {
    [key: string]: any;
} & {
    timeFrom: string;
    timeTo: string;
};
export declare type Campaign = {
    [key: string]: any;
} & {
    campaignId: string;
    coupons?: Array<string>;
    creationDate?: any;
    customerGroups?: Array<string>;
    description?: string;
    enabled?: boolean;
    endDate?: any;
    lastModified?: any;
    sourceCodeGroups?: Array<string>;
    startDate?: any;
};
export declare type PromotionCampaignAssignment = {
    [key: string]: any;
} & {
    campaign: {
        [key: string]: any;
    } & {
        campaignId: string;
        enabled?: boolean;
        endDate?: any;
        lastModified?: any;
        sourceCodeGroups?: Array<string>;
        customerGroups?: Array<string>;
        startDate?: any;
        coupons?: Array<string>;
        creationDate?: any;
        description?: string;
    };
    campaignId: string;
    coupons: Array<string>;
    customerGroups: Array<string>;
    description: string;
    enabled: boolean;
    promotion: {
        [key: string]: any;
    } & {
        exclusivity: string;
        id: string;
        enabled?: boolean;
        assignmentInformation?: {
            [key: string]: any;
        } & {
            abtestId: string;
            abtestSegmentId: string;
            active: boolean;
            activeAbtestAssignments: Array<object>;
            activeCampaignAssignments: Array<any>;
            campaignId: string;
            enabled: boolean;
            endDate: any;
            schedule: {
                [key: string]: any;
            } & {
                endDate: any;
                recurrence: {
                    [key: string]: any;
                } & {
                    dayOfWeek: Array<string>;
                    timeOfDay: {
                        [key: string]: any;
                    } & {
                        timeFrom: string;
                        timeTo: string;
                    };
                };
                startDate: any;
            };
            scheduleType: string;
            startDate: any;
            upcomingAbtestAssignments: Array<object>;
            upcomingCampaignAssignments: Array<any>;
        };
        archived?: boolean;
        lastModified?: any;
        name?: {
            [key: string]: string;
        } & {};
        currencyCode?: string;
        tags?: Array<object>;
        disableGloballyExcluded?: boolean;
        creationDate?: any;
        promotionClass?: string;
    };
    promotionId: string;
    rank: number;
    schedule: {
        [key: string]: any;
    } & {
        endDate: any;
        recurrence: {
            [key: string]: any;
        } & {
            dayOfWeek: Array<string>;
            timeOfDay: {
                [key: string]: any;
            } & {
                timeFrom: string;
                timeTo: string;
            };
        };
        startDate: any;
    };
    sourceCodeGroups: Array<string>;
};
export declare type Tag = {
    [key: string]: any;
} & {
    tagId: string;
};
export declare type Promotion = {
    [key: string]: any;
} & {
    exclusivity: string;
    id: string;
    archived?: boolean;
    assignmentInformation?: {
        [key: string]: any;
    } & {
        abtestId: string;
        abtestSegmentId: string;
        active: boolean;
        activeAbtestAssignments: Array<object>;
        activeCampaignAssignments: Array<any>;
        campaignId: string;
        enabled: boolean;
        endDate: any;
        schedule: {
            [key: string]: any;
        } & {
            endDate: any;
            recurrence: {
                [key: string]: any;
            } & {
                dayOfWeek: Array<string>;
                timeOfDay: {
                    [key: string]: any;
                } & {
                    timeFrom: string;
                    timeTo: string;
                };
            };
            startDate: any;
        };
        scheduleType: string;
        startDate: any;
        upcomingAbtestAssignments: Array<object>;
        upcomingCampaignAssignments: Array<any>;
    };
    creationDate?: any;
    currencyCode?: string;
    disableGloballyExcluded?: boolean;
    enabled?: boolean;
    lastModified?: any;
    name?: {
        [key: string]: string;
    } & {};
    promotionClass?: string;
    tags?: Array<object>;
};
export declare type PromotionAssignmentInformation = {
    [key: string]: any;
} & {
    abtestId: string;
    abtestSegmentId: string;
    active: boolean;
    activeAbtestAssignments: Array<object>;
    activeCampaignAssignments: Array<any>;
    campaignId: string;
    enabled: boolean;
    endDate: any;
    schedule: {
        [key: string]: any;
    } & {
        endDate: any;
        recurrence: {
            [key: string]: any;
        } & {
            dayOfWeek: Array<string>;
            timeOfDay: {
                [key: string]: any;
            } & {
                timeFrom: string;
                timeTo: string;
            };
        };
        startDate: any;
    };
    scheduleType: string;
    startDate: any;
    upcomingAbtestAssignments: Array<object>;
    upcomingCampaignAssignments: Array<any>;
};
export declare type Schedule = {
    [key: string]: any;
} & {
    endDate: any;
    recurrence: {
        [key: string]: any;
    } & {
        dayOfWeek: Array<string>;
        timeOfDay: {
            [key: string]: any;
        } & {
            timeFrom: string;
            timeTo: string;
        };
    };
    startDate: any;
};
export declare type PromotionCampaignAssignmentSearchResult = {
    [key: string]: any;
} & {
    hits: Array<object>;
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
};
export declare type Recurrence = {
    [key: string]: any;
} & {
    dayOfWeek: Array<string>;
    timeOfDay: {
        [key: string]: any;
    } & {
        timeFrom: string;
        timeTo: string;
    };
};
export declare type PromotionAbtestGroupAssignment = {
    [key: string]: any;
} & {
    abtestDescription: string;
    abtestId: string;
    enabled: boolean;
    schedule: {
        [key: string]: any;
    } & {
        endDate: any;
        recurrence: {
            [key: string]: any;
        } & {
            dayOfWeek: Array<string>;
            timeOfDay: {
                [key: string]: any;
            } & {
                timeFrom: string;
                timeTo: string;
            };
        };
        startDate: any;
    };
    segmentDescription: string;
    segmentId: string;
};
//# sourceMappingURL=assignments.types.d.ts.map