export declare type ErrorResponse = {
    [key: string]: any;
} & {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
};
export declare type Offset = {};
export declare type Limit = {};
export declare type Money = {
    [key: string]: any;
} & {
    currencyMnemonic?: any;
    value?: number;
};
export declare type CountryCode = {};
export declare type SimpleSearchResult = {
    [key: string]: any;
} & {
    limit: number;
    offset: number;
    total: number;
    hits?: Array<object>;
};
export declare type SiteId = {};
export declare type SearchRequest = {
    [key: string]: any;
} & {
    query: any;
    limit?: number;
    sorts?: Array<object>;
    offset?: number;
};
export declare type LanguageCode = {};
export declare type PaginatedSearchResult = {
    [key: string]: any;
} & {
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    hits?: Array<object>;
};
export declare type CouponRedemptionSearchResult = {
    [key: string]: any;
} & {
    hits: Array<object>;
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
};
export declare type CouponCodes = {
    [key: string]: any;
} & {
    data: Array<object>;
    total: number;
    limit?: number;
    offset?: number;
};
export declare type RedemptionLimits = {
    [key: string]: any;
} & {
    limitPerCode: number;
    limitPerCustomer: number;
    limitPerTimeFrame: {
        [key: string]: any;
    } & {
        redemptionTimeFrame: number;
        limit: number;
    };
};
export declare type CouponRedemption = {
    [key: string]: any;
} & {
    code: string;
    couponId: string;
    creationDate: any;
    customerEmail: string;
    orderNo: string;
    viewOrderUrl: string;
};
export declare type RedemptionLimitPerPeriod = {
    [key: string]: any;
} & {
    limit: number;
    redemptionTimeFrame: number;
};
export declare type CouponCode = {
    [key: string]: any;
} & {
    code: string;
    issued: boolean;
    redemptionCount: number;
};
export declare type CouponSearchResult = {
    [key: string]: any;
} & {
    hits: Array<object>;
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
};
export declare type Coupon = {
    [key: string]: any;
} & {
    couponId: string;
    enabled: boolean;
    type: string;
    creationDate?: any;
    description?: string;
    exportedCodeCount?: number;
    lastModified?: any;
    redemptionCount?: number;
    redemptionLimits?: {
        [key: string]: any;
    } & {
        limitPerCode: number;
        limitPerCustomer: number;
        limitPerTimeFrame: {
            [key: string]: any;
        } & {
            redemptionTimeFrame: number;
            limit: number;
        };
    };
    singleCode?: string;
    systemCodesConfig?: {
        [key: string]: any;
    } & {
        codePrefix: string;
        numberOfCodes: number;
    };
    totalCodesCount?: number;
};
export declare type CouponMultiCodesRequest = {
    [key: string]: any;
} & {
    codes: Array<string>;
};
export declare type CouponSystemCodeConfig = {
    [key: string]: any;
} & {
    codePrefix: string;
    numberOfCodes: number;
};
//# sourceMappingURL=coupons.types.d.ts.map