export declare type Money = {
    [key: string]: any;
} & {
    currencyMnemonic?: any;
    value?: number;
};
export declare type CountryCode = {};
export declare type SimpleSearchResult = {
    [key: string]: any;
} & {
    limit: number;
    offset: number;
    total: number;
    hits?: Array<object>;
};
export declare type SiteId = {};
export declare type SearchRequest = {
    [key: string]: any;
} & {
    query: any;
    limit?: number;
    sorts?: Array<object>;
    offset?: number;
};
export declare type LanguageCode = {};
export declare type PaginatedSearchResult = {
    [key: string]: any;
} & {
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    hits?: Array<object>;
};
export declare type ErrorResponse = {
    [key: string]: any;
} & {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
};
export declare type Offset = {};
export declare type Limit = {};
export declare type PromotionSearchResult = {
    [key: string]: any;
} & {
    hits: Array<object>;
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
};
export declare type TimeOfDay = {
    [key: string]: any;
} & {
    timeFrom: string;
    timeTo: string;
};
export declare type Campaign = {
    [key: string]: any;
} & {
    campaignId: string;
    coupons?: Array<string>;
    creationDate?: any;
    customerGroups?: Array<string>;
    description?: string;
    enabled?: boolean;
    endDate?: any;
    lastModified?: any;
    sourceCodeGroups?: Array<string>;
    startDate?: any;
};
export declare type PromotionCampaignAssignment = {
    [key: string]: any;
} & {
    campaignId: string;
    description: string;
    enabled: boolean;
    promotionId: string;
    schedule: {
        [key: string]: any;
    } & {
        endDate?: any;
        recurrence?: {
            [key: string]: any;
        } & {
            dayOfWeek: Array<string>;
            timeOfDay: {
                [key: string]: any;
            } & {
                timeFrom: string;
                timeTo: string;
            };
        };
        startDate?: any;
    };
    campaign?: {
        [key: string]: any;
    } & {
        campaignId: string;
        enabled?: boolean;
        endDate?: any;
        lastModified?: any;
        sourceCodeGroups?: Array<string>;
        customerGroups?: Array<string>;
        startDate?: any;
        coupons?: Array<string>;
        creationDate?: any;
        description?: string;
    };
    coupons?: Array<string>;
    customerGroups?: Array<string>;
    promotion?: any;
    rank?: number;
    sourceCodeGroups?: Array<string>;
};
export declare type Tag = {
    [key: string]: any;
} & {
    tagId: string;
};
export declare type Promotion = {
    [key: string]: any;
} & {
    archived?: boolean;
    assignmentInformation?: {
        [key: string]: any;
    } & {
        active: boolean;
        activeCampaignAssignments: Array<object>;
        campaignId: string;
        enabled: boolean;
        schedule: {
            [key: string]: any;
        } & {
            endDate?: any;
            recurrence?: {
                [key: string]: any;
            } & {
                dayOfWeek: Array<string>;
                timeOfDay: {
                    [key: string]: any;
                } & {
                    timeFrom: string;
                    timeTo: string;
                };
            };
            startDate?: any;
        };
        scheduleType: string;
        abtestId?: string;
        abtestSegmentId?: string;
        activeAbtestAssignments?: Array<object>;
        endDate?: any;
        startDate?: any;
        upcomingAbtestAssignments?: Array<object>;
        upcomingCampaignAssignments?: Array<object>;
    };
    creationDate?: any;
    currencyCode?: string;
    disableGloballyExcluded?: boolean;
    enabled?: boolean;
    exclusivity?: string;
    id?: string;
    lastModified?: any;
    name?: {
        [key: string]: string;
    } & {};
    promotionClass?: string;
    tags?: Array<object>;
    siteId?: string;
};
export declare type PromotionAssignmentInformation = {
    [key: string]: any;
} & {
    active: boolean;
    activeCampaignAssignments: Array<object>;
    campaignId: string;
    enabled: boolean;
    schedule: {
        [key: string]: any;
    } & {
        endDate?: any;
        recurrence?: {
            [key: string]: any;
        } & {
            dayOfWeek: Array<string>;
            timeOfDay: {
                [key: string]: any;
            } & {
                timeFrom: string;
                timeTo: string;
            };
        };
        startDate?: any;
    };
    scheduleType: string;
    abtestId?: string;
    abtestSegmentId?: string;
    activeAbtestAssignments?: Array<object>;
    endDate?: any;
    startDate?: any;
    upcomingAbtestAssignments?: Array<object>;
    upcomingCampaignAssignments?: Array<object>;
};
export declare type Schedule = {
    [key: string]: any;
} & {
    endDate?: any;
    recurrence?: {
        [key: string]: any;
    } & {
        dayOfWeek: Array<string>;
        timeOfDay: {
            [key: string]: any;
        } & {
            timeFrom: string;
            timeTo: string;
        };
    };
    startDate?: any;
};
export declare type Recurrence = {
    [key: string]: any;
} & {
    dayOfWeek: Array<string>;
    timeOfDay: {
        [key: string]: any;
    } & {
        timeFrom: string;
        timeTo: string;
    };
};
export declare type PromotionAbtestGroupAssignment = {
    [key: string]: any;
} & {
    abtestDescription: string;
    abtestId: string;
    enabled: boolean;
    schedule: {
        [key: string]: any;
    } & {
        endDate?: any;
        recurrence?: {
            [key: string]: any;
        } & {
            dayOfWeek: Array<string>;
            timeOfDay: {
                [key: string]: any;
            } & {
                timeFrom: string;
                timeTo: string;
            };
        };
        startDate?: any;
    };
    segmentDescription: string;
    segmentId: string;
};
//# sourceMappingURL=promotions.types.d.ts.map