export declare type Error = {
    [key: string]: any;
} & {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
};
export declare type BoolFilter = {
    [key: string]: any;
} & {
    operator: string;
    filters?: Array<any>;
};
export declare type MatchAllQuery = {
    [key: string]: any;
} & {};
export declare type FilteredQuery = {
    [key: string]: any;
} & {
    filter: any;
    query: any;
};
export declare type SimpleSearchResult = {
    [key: string]: any;
} & {
    limit: number;
    offset: number;
    total: number;
    hits?: Array<object>;
};
export declare type QueryFilter = {
    [key: string]: any;
} & {
    query: any;
};
export declare type Query = {
    [key: string]: any;
} & {
    boolQuery?: {
        [key: string]: any;
    } & {
        must?: Array<any>;
        mustNot?: Array<any>;
        should?: Array<any>;
    };
    filteredQuery?: {
        [key: string]: any;
    } & {
        filter: any;
        query: any;
    };
    matchAllQuery?: {
        [key: string]: any;
    } & {};
    nestedQuery?: {
        [key: string]: any;
    } & {
        path: string;
        query: any;
        scoreMode?: string;
    };
    termQuery?: {
        [key: string]: any;
    } & {
        fields: Array<string>;
        operator: string;
        values?: Array<any>;
    };
    textQuery?: {
        [key: string]: any;
    } & {
        fields: Array<string>;
        searchPhrase: string;
    };
};
export declare type TermQuery = {
    [key: string]: any;
} & {
    fields: Array<string>;
    operator: string;
    values?: Array<any>;
};
export declare type SearchRequest = {
    [key: string]: any;
} & {
    query: any;
    limit?: number;
    sorts?: Array<object>;
    offset?: number;
};
export declare type TermFilter = {
    [key: string]: any;
} & {
    field: string;
    operator: string;
    values?: Array<any>;
};
export declare type TextQuery = {
    [key: string]: any;
} & {
    fields: Array<string>;
    searchPhrase: string;
};
export declare type Total = {};
export declare type Range2Filter = {
    [key: string]: any;
} & {
    fromField: string;
    toField: string;
    filterMode?: string;
    fromInclusive?: boolean;
    fromValue?: any;
    toInclusive?: boolean;
    toValue?: any;
};
export declare type BoolQuery = {
    [key: string]: any;
} & {
    must?: Array<any>;
    mustNot?: Array<any>;
    should?: Array<any>;
};
export declare type PaginatedSearchResult = {
    [key: string]: any;
} & {
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    hits?: Array<object>;
};
export declare type NestedQuery = {
    [key: string]: any;
} & {
    path: string;
    query: any;
    scoreMode?: string;
};
export declare type Filter = {
    [key: string]: any;
} & {
    boolFilter?: {
        [key: string]: any;
    } & {
        operator: string;
        filters?: Array<any>;
    };
    queryFilter?: {
        [key: string]: any;
    } & {
        query: any;
    };
    range2Filter?: {
        [key: string]: any;
    } & {
        fromField: string;
        toField: string;
        filterMode?: string;
        fromInclusive?: boolean;
        fromValue?: any;
        toInclusive?: boolean;
        toValue?: any;
    };
    rangeFilter?: {
        [key: string]: any;
    } & {
        field: string;
        from?: any;
        fromInclusive?: boolean;
        to?: any;
        toInclusive?: boolean;
    };
    termFilter?: {
        [key: string]: any;
    } & {
        field: string;
        operator: string;
        values?: Array<any>;
    };
};
export declare type Sort = {
    [key: string]: any;
} & {
    field: string;
    sortOrder?: string;
};
export declare type RangeFilter = {
    [key: string]: any;
} & {
    field: string;
    from?: any;
    fromInclusive?: boolean;
    to?: any;
    toInclusive?: boolean;
};
export declare type SiteId = {};
export declare type Money = {
    [key: string]: any;
} & {
    currencyMnemonic: string;
    value: number;
};
export declare type CategoryProductAssignmentSearchResult = {
    [key: string]: any;
} & {
    hits: Array<object>;
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
};
export declare type ProductOption = {
    [key: string]: any;
} & {
    customName: {
        [key: string]: string;
    } & {};
    defaultProductOptionValue: string;
    description: {
        [key: string]: string;
    } & {};
    id: string;
    name: string;
    selectedOptionValue: string;
    shared: boolean;
    sortingMode: string;
    values: Array<object>;
    image?: {
        [key: string]: any;
    } & {
        title: {
            [key: string]: string;
        } & {};
        path: string;
        alt: {
            [key: string]: string;
        } & {};
        disBaseUrl?: string;
        absUrl?: string;
    };
};
export declare type Master = {
    [key: string]: any;
} & {
    masterId: string;
    orderable?: boolean;
    price?: number;
    priceMax?: number;
    prices?: {
        [key: string]: number;
    } & {};
};
export declare type CategorySearchResult = {
    [key: string]: any;
} & {
    hits: Array<object>;
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
};
export declare type Category = {
    [key: string]: any;
} & {
    id: string;
    catalogId?: string;
    categories?: Array<any>;
    creationDate?: any;
    description?: {
        [key: string]: string;
    } & {};
    image?: string;
    lastModified?: any;
    name?: {
        [key: string]: string;
    } & {};
    online?: boolean;
    pageDescription?: {
        [key: string]: string;
    } & {};
    pageKeywords?: {
        [key: string]: string;
    } & {};
    pageTitle?: {
        [key: string]: string;
    } & {};
    parentCategoryId?: string;
    paths?: Array<object>;
    position?: number;
    sortingRules?: Array<object>;
    thumbnail?: string;
};
export declare type VariationAttribute = {
    [key: string]: any;
} & {
    attributeDefinitionId: string;
    attributeDefinitionName?: {
        [key: string]: string;
    } & {};
    defaultValue?: string;
    id?: string;
    name?: {
        [key: string]: string;
    } & {};
    shared?: boolean;
    slicing?: boolean;
    values?: Array<object>;
    variationAttributeType?: string;
};
export declare type CatalogCategoryId = {
    [key: string]: any;
} & {
    catalogId: string;
    categoryId: string;
};
export declare type Categories = {
    [key: string]: any;
} & {
    limit: number;
    data: Array<object>;
    offset: number;
    total: number;
};
export declare type SortingRule = {
    [key: string]: any;
} & {
    creationDate: any;
    description: string;
    id: string;
    productSortingRuleSteps: Array<object>;
    ruleContext: string;
    site: string;
};
export declare type ProductType = {
    [key: string]: any;
} & {
    master: boolean;
    bundle?: boolean;
    bundled?: boolean;
    item?: boolean;
    option?: boolean;
    partOfProductSet?: boolean;
    partOfRetailSet?: boolean;
    retailSet?: boolean;
    set?: boolean;
    variant?: boolean;
    variationGroup?: boolean;
};
export declare type Variant = {
    [key: string]: any;
} & {
    productId: string;
    ats?: number;
    defaultProductVariation?: boolean;
    image?: {
        [key: string]: any;
    } & {
        title: {
            [key: string]: string;
        } & {};
        path: string;
        alt: {
            [key: string]: string;
        } & {};
        disBaseUrl?: string;
        absUrl?: string;
    };
    inStock?: boolean;
    online?: boolean;
    orderable?: boolean;
    price?: number;
    priceCurrency?: string;
    searchable?: {
        [key: string]: boolean;
    } & {};
    variationAttributes?: Array<object>;
    variationValues?: {
        [key: string]: string;
    } & {};
};
export declare type VariationGroup = {
    [key: string]: any;
} & {
    orderable: boolean;
    price: number;
    productId: string;
    variationValues: {
        [key: string]: string;
    } & {};
};
export declare type ProductOptionValue = {
    [key: string]: any;
} & {
    defaultProductOptionValue: boolean;
    id: string;
    optionPrices: Array<object>;
    skuExtension: string;
    value: {
        [key: string]: string;
    } & {};
};
export declare type VariationAttributes = {
    [key: string]: any;
} & {
    limit: number;
    data: Array<object>;
    offset: number;
    total: number;
};
export declare type CategoryLinks = {
    [key: string]: any;
} & {
    limit: number;
    data: Array<object>;
    offset: number;
    total: number;
};
export declare type MarkupText = {
    [key: string]: any;
} & {
    markup: string;
    source: string;
};
export declare type ImageGroup = {
    [key: string]: any;
} & {
    images: Array<object>;
    variationAttributes: Array<object>;
    viewType: string;
};
export declare type Catalogs = {
    [key: string]: any;
} & {
    limit: number;
    data: Array<object>;
    offset: number;
    total: number;
};
export declare type CategoryLink = {
    [key: string]: any;
} & {
    lastModified: any;
    position: number;
    sourceCatalogId: string;
    sourceCatalogName: {
        [key: string]: string;
    } & {};
    sourceCategoryId: string;
    sourceCategoryName: {
        [key: string]: string;
    } & {};
    targetCatalogId: string;
    targetCatalogName: {
        [key: string]: string;
    } & {};
    targetCategoryId: string;
    targetCategoryName: {
        [key: string]: string;
    } & {};
    type: string;
};
export declare type MediaFile = {
    [key: string]: any;
} & {
    alt: {
        [key: string]: string;
    } & {};
    path: string;
    title: {
        [key: string]: string;
    } & {};
    absUrl?: string;
    disBaseUrl?: string;
};
export declare type VariationAttributeValues = {
    [key: string]: any;
} & {
    limit: number;
    data: Array<object>;
    offset: number;
    total: number;
};
export declare type CatalogSearchResult = {
    [key: string]: any;
} & {
    hits: Array<object>;
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
};
export declare type Site = {
    [key: string]: any;
} & {
    displayName: {
        [key: string]: string;
    } & {};
    id: string;
    cartridges?: string;
    customerListLink?: {
        [key: string]: any;
    } & {
        customerListId: string;
        title?: {
            [key: string]: string;
        } & {};
    };
    description?: {
        [key: string]: string;
    } & {};
    inDeletion?: boolean;
    storefrontStatus?: string;
};
export declare type ProductOptions = {
    [key: string]: any;
} & {
    limit: number;
    data: Array<object>;
    offset: number;
    total: number;
};
export declare type Product = {
    [key: string]: any;
} & {
    assignedCategories?: Array<object>;
    ats?: number;
    brand?: string;
    bundledProducts?: Array<any>;
    creationDate?: any;
    defaultVariantId?: string;
    ean?: string;
    id?: string;
    image?: {
        [key: string]: any;
    } & {
        title: {
            [key: string]: string;
        } & {};
        path: string;
        alt: {
            [key: string]: string;
        } & {};
        disBaseUrl?: string;
        absUrl?: string;
    };
    imageGroups?: Array<object>;
    inStock?: boolean;
    lastModified?: any;
    longDescription?: {
        [key: string]: {
            [key: string]: any;
        } & {
            markup: string;
            source: string;
        };
    } & {};
    manufacturerName?: string;
    manufacturerSku?: string;
    master?: {
        [key: string]: any;
    } & {
        masterId: string;
        priceMax?: number;
        prices?: {
            [key: string]: number;
        } & {};
        orderable?: boolean;
        price?: number;
    };
    name?: {
        [key: string]: string;
    } & {};
    online?: boolean;
    onlineFlag?: {
        [key: string]: boolean;
    } & {};
    owningCatalogId?: string;
    owningCatalogName?: {
        [key: string]: string;
    } & {};
    pageDescription?: {
        [key: string]: string;
    } & {};
    pageKeywords?: {
        [key: string]: string;
    } & {};
    pageTitle?: {
        [key: string]: string;
    } & {};
    price?: number;
    priceCurrency?: string;
    primaryCategoryId?: string;
    productBundles?: Array<any>;
    productOptions?: Array<object>;
    productSets?: Array<any>;
    searchable?: {
        [key: string]: boolean;
    } & {};
    setProducts?: Array<any>;
    shortDescription?: {
        [key: string]: {
            [key: string]: any;
        } & {
            markup: string;
            source: string;
        };
    } & {};
    type?: {
        [key: string]: any;
    } & {
        master: boolean;
        bundle?: boolean;
        bundled?: boolean;
        item?: boolean;
        option?: boolean;
        partOfProductSet?: boolean;
        partOfRetailSet?: boolean;
        retailSet?: boolean;
        set?: boolean;
        variant?: boolean;
        variationGroup?: boolean;
    };
    unit?: string;
    upc?: string;
    variants?: Array<object>;
    variationAttributes?: Array<object>;
    variationGroups?: Array<object>;
    variationValues?: {
        [key: string]: string;
    } & {};
};
export declare type CategoryProductAssignment = {
    [key: string]: any;
} & {
    catalogId: string;
    categoryId: string;
    productId: string;
    owningCatalogName?: {
        [key: string]: string;
    } & {};
    position?: number;
    product?: {
        [key: string]: any;
    } & {
        assignedCategories?: Array<object>;
        ats?: number;
        brand?: string;
        bundledProducts?: Array<any>;
        creationDate?: any;
        defaultVariantId?: string;
        ean?: string;
        id?: string;
        image?: {
            [key: string]: any;
        } & {
            title: {
                [key: string]: string;
            } & {};
            path: string;
            alt: {
                [key: string]: string;
            } & {};
            disBaseUrl?: string;
            absUrl?: string;
        };
        imageGroups?: Array<object>;
        inStock?: boolean;
        lastModified?: any;
        longDescription?: {
            [key: string]: {
                [key: string]: any;
            } & {
                markup: string;
                source: string;
            };
        } & {};
        manufacturerName?: string;
        manufacturerSku?: string;
        master?: {
            [key: string]: any;
        } & {
            masterId: string;
            priceMax?: number;
            prices?: {
                [key: string]: number;
            } & {};
            orderable?: boolean;
            price?: number;
        };
        name?: {
            [key: string]: string;
        } & {};
        online?: boolean;
        onlineFlag?: {
            [key: string]: boolean;
        } & {};
        owningCatalogId?: string;
        owningCatalogName?: {
            [key: string]: string;
        } & {};
        pageDescription?: {
            [key: string]: string;
        } & {};
        pageKeywords?: {
            [key: string]: string;
        } & {};
        pageTitle?: {
            [key: string]: string;
        } & {};
        price?: number;
        priceCurrency?: string;
        primaryCategoryId?: string;
        productBundles?: Array<any>;
        productOptions?: Array<object>;
        productSets?: Array<any>;
        searchable?: {
            [key: string]: boolean;
        } & {};
        setProducts?: Array<any>;
        shortDescription?: {
            [key: string]: {
                [key: string]: any;
            } & {
                markup: string;
                source: string;
            };
        } & {};
        type?: {
            [key: string]: any;
        } & {
            master: boolean;
            bundle?: boolean;
            bundled?: boolean;
            item?: boolean;
            option?: boolean;
            partOfProductSet?: boolean;
            partOfRetailSet?: boolean;
            retailSet?: boolean;
            set?: boolean;
            variant?: boolean;
            variationGroup?: boolean;
        };
        unit?: string;
        upc?: string;
        variants?: Array<object>;
        variationAttributes?: Array<object>;
        variationGroups?: Array<object>;
        variationValues?: {
            [key: string]: string;
        } & {};
    };
    productName?: {
        [key: string]: any;
    } & {};
};
export declare type VariationAttributeValue = {
    [key: string]: any;
} & {
    value: string;
    description?: {
        [key: string]: string;
    } & {};
    image?: {
        [key: string]: any;
    } & {
        title: {
            [key: string]: string;
        } & {};
        path: string;
        alt: {
            [key: string]: string;
        } & {};
        disBaseUrl?: string;
        absUrl?: string;
    };
    imageSwatch?: {
        [key: string]: any;
    } & {
        title: {
            [key: string]: string;
        } & {};
        path: string;
        alt: {
            [key: string]: string;
        } & {};
        disBaseUrl?: string;
        absUrl?: string;
    };
    name?: {
        [key: string]: string;
    } & {};
    orderable?: boolean;
    position?: number;
};
export declare type ProductOptionValues = {
    [key: string]: any;
} & {
    limit: number;
    data: Array<object>;
    offset: number;
    total: number;
};
export declare type CustomerListLink = {
    [key: string]: any;
} & {
    customerListId: string;
    title?: {
        [key: string]: string;
    } & {};
};
export declare type PathRecord = {
    [key: string]: any;
} & {
    id: string;
    name?: {
        [key: string]: string;
    } & {};
};
export declare type Catalog = {
    [key: string]: any;
} & {
    id: string;
    assignedProductCount?: number;
    assignedSites?: Array<object>;
    categoryCount?: number;
    creationDate?: any;
    description?: {
        [key: string]: string;
    } & {};
    lastModified?: any;
    name?: {
        [key: string]: string;
    } & {};
    online?: boolean;
    ownedProductCount?: number;
    recommendationCount?: number;
    rootCategory?: string;
};
export declare type SortingRuleStep = {
    [key: string]: any;
} & {
    attributeId: string;
    direction: string;
    isSystem: boolean;
    position: number;
    textRelevanceIncluded: boolean;
    typeId: string;
};
//# sourceMappingURL=catalogs.types.d.ts.map