export declare type Money = {
    [key: string]: any;
} & {
    currencyMnemonic?: any;
    value?: number;
};
export declare type CountryCode = {};
export declare type SimpleSearchResult = {
    [key: string]: any;
} & {
    limit: number;
    offset: number;
    total: number;
    hits?: Array<object>;
};
export declare type SiteId = {};
export declare type SearchRequest = {
    [key: string]: any;
} & {
    query: any;
    limit?: number;
    sorts?: Array<object>;
    offset?: number;
};
export declare type LanguageCode = {};
export declare type PaginatedSearchResult = {
    [key: string]: any;
} & {
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    hits?: Array<object>;
};
export declare type ErrorResponse = {
    [key: string]: any;
} & {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
};
export declare type Offset = {};
export declare type Limit = {};
export declare type Error = {
    [key: string]: any;
} & {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
};
export declare type Variants = {
    [key: string]: any;
} & {
    limit: number;
    data: Array<object>;
    offset: number;
    total: number;
};
export declare type ProductOption = {
    [key: string]: any;
} & {
    id: string;
    customName?: {
        [key: string]: string;
    } & {};
    defaultProductOptionValue?: string;
    description?: {
        [key: string]: string;
    } & {};
    image?: {
        [key: string]: any;
    } & {
        path: string;
        title?: {
            [key: string]: string;
        } & {};
        alt?: {
            [key: string]: string;
        } & {};
        disBaseUrl?: string;
        absUrl?: string;
    };
    name?: string;
    selectedOptionValue?: string;
    shared?: boolean;
    sortingMode?: string;
    values?: Array<object>;
};
export declare type Master = {
    [key: string]: any;
} & {
    masterId: string;
    orderable?: boolean;
    price?: number;
    priceMax?: number;
    prices?: {
        [key: string]: number;
    } & {};
};
export declare type VariantSearchResult = {
    [key: string]: any;
} & {
    hits: Array<object>;
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
};
export declare type VariationAttribute = {
    [key: string]: any;
} & {
    attributeDefinitionId: string;
    attributeDefinitionName?: {
        [key: string]: string;
    } & {};
    defaultValue?: string;
    id?: string;
    name?: {
        [key: string]: string;
    } & {};
    shared?: boolean;
    slicing?: boolean;
    values?: Array<object>;
    variationAttributeType?: string;
};
export declare type CatalogCategoryId = {
    [key: string]: any;
} & {
    catalogId: string;
    categoryId: string;
};
export declare type ProductType = {
    [key: string]: any;
} & {
    master: boolean;
    bundle?: boolean;
    bundled?: boolean;
    item?: boolean;
    option?: boolean;
    partOfProductSet?: boolean;
    partOfRetailSet?: boolean;
    retailSet?: boolean;
    set?: boolean;
    variant?: boolean;
    variationGroup?: boolean;
};
export declare type Variant = {
    [key: string]: any;
} & {
    productId: string;
    ats?: number;
    defaultProductVariation?: boolean;
    image?: {
        [key: string]: any;
    } & {
        path: string;
        title?: {
            [key: string]: string;
        } & {};
        alt?: {
            [key: string]: string;
        } & {};
        disBaseUrl?: string;
        absUrl?: string;
    };
    inStock?: boolean;
    online?: boolean;
    orderable?: boolean;
    price?: number;
    priceCurrency?: string;
    searchable?: {
        [key: string]: boolean;
    } & {};
    variationAttributes?: Array<object>;
    variationValues?: {
        [key: string]: string;
    } & {};
};
export declare type VariationGroup = {
    [key: string]: any;
} & {
    productId: string;
    orderable?: boolean;
    price?: number;
    variationValues?: {
        [key: string]: string;
    } & {};
};
export declare type ProductOptionValue = {
    [key: string]: any;
} & {
    id: string;
    value: {
        [key: string]: string;
    } & {};
    defaultProductOptionValue?: boolean;
    optionPrices?: Array<object>;
    skuExtension?: string;
};
export declare type VariationAttributes = {
    [key: string]: any;
} & {
    limit: number;
    data: Array<object>;
    offset: number;
    total: number;
};
export declare type MarkupText = {
    [key: string]: any;
} & {
    markup: string;
    source: string;
};
export declare type ImageGroup = {
    [key: string]: any;
} & {
    images: Array<object>;
    viewType: string;
    variationAttributes?: Array<object>;
};
export declare type MediaFile = {
    [key: string]: any;
} & {
    path: string;
    absUrl?: string;
    alt?: {
        [key: string]: string;
    } & {};
    disBaseUrl?: string;
    title?: {
        [key: string]: string;
    } & {};
};
export declare type VariationAttributeValues = {
    [key: string]: any;
} & {
    limit: number;
    data: Array<object>;
    offset: number;
    total: number;
};
export declare type ProductSearchResult = {
    [key: string]: any;
} & {
    hits: Array<object>;
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
};
export declare type ProductOptions = {
    [key: string]: any;
} & {
    limit: number;
    data: Array<object>;
    offset: number;
    total: number;
};
export declare type Product = {
    [key: string]: any;
} & {
    id: string;
    assignedCategories?: Array<object>;
    ats?: number;
    brand?: string;
    bundledProducts?: Array<any>;
    creationDate?: any;
    defaultVariantId?: string;
    ean?: string;
    image?: {
        [key: string]: any;
    } & {
        path: string;
        title?: {
            [key: string]: string;
        } & {};
        alt?: {
            [key: string]: string;
        } & {};
        disBaseUrl?: string;
        absUrl?: string;
    };
    imageGroups?: Array<object>;
    inStock?: boolean;
    lastModified?: any;
    longDescription?: {
        [key: string]: {
            [key: string]: any;
        } & {
            markup: string;
            source: string;
        };
    } & {};
    manufacturerName?: string;
    manufacturerSku?: string;
    master?: {
        [key: string]: any;
    } & {
        masterId: string;
        priceMax?: number;
        prices?: {
            [key: string]: number;
        } & {};
        orderable?: boolean;
        price?: number;
    };
    name?: {
        [key: string]: string;
    } & {};
    online?: boolean;
    onlineFlag?: {
        [key: string]: boolean;
    } & {};
    owningCatalogId?: string;
    owningCatalogName?: {
        [key: string]: string;
    } & {};
    pageDescription?: {
        [key: string]: string;
    } & {};
    pageKeywords?: {
        [key: string]: string;
    } & {};
    pageTitle?: {
        [key: string]: string;
    } & {};
    price?: number;
    priceCurrency?: string;
    primaryCategoryId?: string;
    productBundles?: Array<any>;
    productOptions?: Array<object>;
    productSets?: Array<any>;
    searchable?: {
        [key: string]: boolean;
    } & {};
    setProducts?: Array<any>;
    shortDescription?: {
        [key: string]: {
            [key: string]: any;
        } & {
            markup: string;
            source: string;
        };
    } & {};
    type?: {
        [key: string]: any;
    } & {
        master: boolean;
        bundle?: boolean;
        bundled?: boolean;
        item?: boolean;
        option?: boolean;
        partOfProductSet?: boolean;
        partOfRetailSet?: boolean;
        retailSet?: boolean;
        set?: boolean;
        variant?: boolean;
        variationGroup?: boolean;
    };
    unit?: string;
    upc?: string;
    variants?: Array<object>;
    variationAttributes?: Array<object>;
    variationGroups?: Array<object>;
    variationValues?: {
        [key: string]: string;
    } & {};
};
export declare type VariationAttributeValue = {
    [key: string]: any;
} & {
    value: string;
    description?: {
        [key: string]: string;
    } & {};
    image?: {
        [key: string]: any;
    } & {
        path: string;
        title?: {
            [key: string]: string;
        } & {};
        alt?: {
            [key: string]: string;
        } & {};
        disBaseUrl?: string;
        absUrl?: string;
    };
    imageSwatch?: {
        [key: string]: any;
    } & {
        path: string;
        title?: {
            [key: string]: string;
        } & {};
        alt?: {
            [key: string]: string;
        } & {};
        disBaseUrl?: string;
        absUrl?: string;
    };
    name?: {
        [key: string]: string;
    } & {};
    orderable?: boolean;
    position?: number;
};
export declare type ProductOptionValues = {
    [key: string]: any;
} & {
    limit: number;
    data: Array<object>;
    offset: number;
    total: number;
};
export declare type VariationGroups = {
    [key: string]: any;
} & {
    limit: number;
    data: Array<object>;
    offset: number;
    total: number;
};
//# sourceMappingURL=products.types.d.ts.map