export declare type SiteId = {};
export declare type SearchRequest = {
    [key: string]: any;
} & {
    query: any;
    limit?: number;
    sorts?: Array<object>;
    offset?: number;
};
export declare type PaginatedSearchResult = {
    [key: string]: any;
} & {
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    hits?: Array<object>;
};
export declare type SimpleSearchResult = {
    [key: string]: any;
} & {
    limit: number;
    offset: number;
    total: number;
    hits?: Array<object>;
};
export declare type ErrorResponse = {
    [key: string]: any;
} & {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
};
export declare type Offset = {};
export declare type Limit = {};
export declare type Error = {
    [key: string]: any;
} & {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
};
export declare type OptionValue = {
    [key: string]: any;
} & {
    id: string;
    default?: boolean;
    name?: string;
    price?: number;
};
export declare type Master = {
    [key: string]: any;
} & {
    masterId: string;
    orderable?: boolean;
    price?: number;
    priceMax?: number;
    prices?: {
        [key: string]: number;
    } & {};
};
export declare type Category = {
    [key: string]: any;
} & {
    id: string;
    categories?: Array<any>;
    description?: string;
    image?: string;
    name?: string;
    pageDescription?: string;
    pageKeywords?: string;
    pageTitle?: string;
    parentCategoryId?: string;
    thumbnail?: string;
};
export declare type CategoryResult = {
    [key: string]: any;
} & {
    limit: number;
    data: Array<object>;
    total: number;
};
export declare type VariationAttribute = {
    [key: string]: any;
} & {
    id: string;
    name?: string;
    values?: Array<object>;
};
export declare type RecommendationType = {
    [key: string]: any;
} & {
    displayValue: string;
    value: number;
};
export declare type ProductType = {
    [key: string]: any;
} & {
    bundle?: boolean;
    item?: boolean;
    master?: boolean;
    option?: boolean;
    set?: boolean;
    variant?: boolean;
    variationGroup?: boolean;
};
export declare type Recommendation = {
    [key: string]: any;
} & {
    recommendationType: {
        [key: string]: any;
    } & {
        displayValue: string;
        value: number;
    };
    calloutMsg?: string;
    image?: {
        [key: string]: any;
    } & {
        link: string;
        title?: string;
        alt?: string;
        disBaseLink?: string;
    };
    longDescription?: string;
    name?: string;
    recommendedItemId?: string;
    shortDescription?: string;
};
export declare type Variant = {
    [key: string]: any;
} & {
    productId: string;
    orderable?: boolean;
    price?: number;
    variationValues?: {
        [key: string]: string;
    } & {};
};
export declare type VariationGroup = {
    [key: string]: any;
} & {
    orderable: boolean;
    price: number;
    productId: string;
    variationValues: {
        [key: string]: string;
    } & {};
};
export declare type ProductResult = {
    [key: string]: any;
} & {
    limit: number;
    data: Array<object>;
    total: number;
};
export declare type ProductLink = {
    [key: string]: any;
} & {
    sourceProductId: string;
    sourceProductLink: string;
    targetProductId: string;
    targetProductLink: string;
    type: string;
};
export declare type Inventory = {
    [key: string]: any;
} & {
    id: string;
    ats?: number;
    backorderable?: boolean;
    inStockDate?: any;
    orderable?: boolean;
    preorderable?: boolean;
    stockLevel?: number;
};
export declare type ImageGroup = {
    [key: string]: any;
} & {
    images: Array<object>;
    viewType: string;
    variationAttributes?: Array<object>;
};
export declare type Option = {
    [key: string]: any;
} & {
    id: string;
    description?: string;
    image?: string;
    name?: string;
    values?: Array<object>;
};
export declare type Product = {
    [key: string]: any;
} & {
    id: string;
    brand?: string;
    bundledProducts?: Array<object>;
    currency?: string;
    ean?: string;
    fetchDate?: number;
    imageGroups?: Array<object>;
    inventories?: Array<object>;
    inventory?: {
        [key: string]: any;
    } & {
        id: string;
        backorderable?: boolean;
        orderable?: boolean;
        preorderable?: boolean;
        inStockDate?: any;
        stockLevel?: number;
        ats?: number;
    };
    longDescription?: string;
    manufacturerName?: string;
    manufacturerSku?: string;
    master?: {
        [key: string]: any;
    } & {
        masterId: string;
        priceMax?: number;
        prices?: {
            [key: string]: number;
        } & {};
        orderable?: boolean;
        price?: number;
    };
    minOrderQuantity?: number;
    name?: string;
    options?: Array<object>;
    pageDescription?: string;
    pageKeywords?: string;
    pageTitle?: string;
    price?: number;
    priceMax?: number;
    prices?: {
        [key: string]: number;
    } & {};
    primaryCategoryId?: string;
    productLinks?: Array<object>;
    productPromotions?: Array<object>;
    recommendations?: Array<object>;
    setProducts?: Array<any>;
    shortDescription?: string;
    stepQuantity?: number;
    type?: {
        [key: string]: any;
    } & {
        bundle?: boolean;
        item?: boolean;
        master?: boolean;
        option?: boolean;
        set?: boolean;
        variant?: boolean;
        variationGroup?: boolean;
    };
    unit?: string;
    upc?: string;
    validFrom?: any;
    validTo?: any;
    variants?: Array<object>;
    variationAttributes?: Array<object>;
    variationGroups?: Array<object>;
    variationValues?: {
        [key: string]: string;
    } & {};
};
export declare type Image = {
    [key: string]: any;
} & {
    link: string;
    alt?: string;
    disBaseLink?: string;
    title?: string;
};
export declare type VariationAttributeValue = {
    [key: string]: any;
} & {
    value: string;
    description?: string;
    image?: {
        [key: string]: any;
    } & {
        link: string;
        title?: string;
        alt?: string;
        disBaseLink?: string;
    };
    imageSwatch?: {
        [key: string]: any;
    } & {
        link: string;
        title?: string;
        alt?: string;
        disBaseLink?: string;
    };
    name?: string;
    orderable?: boolean;
};
export declare type ProductPromotion = {
    [key: string]: any;
} & {
    calloutMsg: string;
    promotionId: string;
    promotionalPrice: number;
};
export declare type BundledProduct = {
    [key: string]: any;
} & {
    id: string;
    product: any;
    quantity: number;
};
//# sourceMappingURL=shopperProducts.types.d.ts.map