export declare type ErrorResponse = {
    [key: string]: any;
} & {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
};
export declare type Offset = {};
export declare type Limit = {};
export declare type SiteId = {};
export declare type SearchRequest = {
    [key: string]: any;
} & {
    query: any;
    limit?: number;
    sorts?: Array<object>;
    offset?: number;
};
export declare type PaginatedSearchResult = {
    [key: string]: any;
} & {
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    hits?: Array<object>;
};
export declare type SimpleSearchResult = {
    [key: string]: any;
} & {
    limit: number;
    offset: number;
    total: number;
    hits?: Array<object>;
};
export declare type ProductRef = {
    [key: string]: any;
} & {
    id: string;
};
export declare type SuggestedTerms = {
    [key: string]: any;
} & {
    originalTerm: string;
    terms?: Array<object>;
};
export declare type CategorySuggestions = {
    [key: string]: any;
} & {
    suggestedTerms: Array<object>;
    categories?: Array<object>;
    suggestedPhrases?: Array<object>;
};
export declare type SuggestedProduct = {
    [key: string]: any;
} & {
    currency: string;
    price: number;
    productId: string;
    productName: string;
    image?: {
        [key: string]: any;
    } & {
        link: string;
        title?: string;
        alt?: string;
        disBaseLink?: string;
    };
};
export declare type SuggestedPhrase = {
    [key: string]: any;
} & {
    exactMatch: boolean;
    phrase: string;
};
export declare type VariationAttribute = {
    [key: string]: any;
} & {
    id: string;
    name?: string;
    values?: Array<object>;
};
export declare type ProductSuggestions = {
    [key: string]: any;
} & {
    suggestedTerms: Array<object>;
    products?: Array<object>;
    suggestedPhrases?: Array<object>;
};
export declare type SuggestedCategory = {
    [key: string]: any;
} & {
    id: string;
    name: string;
    parentCategoryName: string;
};
export declare type ProductType = {
    [key: string]: any;
} & {
    bundle?: boolean;
    item?: boolean;
    master?: boolean;
    option?: boolean;
    set?: boolean;
    variant?: boolean;
    variationGroup?: boolean;
};
export declare type BrandSuggestions = {
    [key: string]: any;
} & {
    suggestedTerms: Array<object>;
    suggestedPhrases?: Array<object>;
};
export declare type ProductSearchRefinementValue = {
    [key: string]: any;
} & {
    hitCount: number;
    label: string;
    value: string;
    description?: string;
    presentationId?: string;
    values?: Array<any>;
};
export declare type ProductSearchSortingOption = {
    [key: string]: any;
} & {
    id: string;
    label: string;
};
export declare type SuggestedTerm = {
    [key: string]: any;
} & {
    completed: boolean;
    corrected: boolean;
    exactMatch: boolean;
    value: string;
};
export declare type ProductSearchRefinement = {
    [key: string]: any;
} & {
    attributeId: string;
    label?: string;
    values?: Array<object>;
};
export declare type CustomSuggestions = {
    [key: string]: any;
} & {
    suggestedTerms: Array<object>;
    customSuggestion?: string;
    suggestedPhrases?: Array<object>;
};
export declare type ProductSearchHit = {
    [key: string]: any;
} & {
    productId: string;
    currency?: string;
    hitType?: string;
    image?: {
        [key: string]: any;
    } & {
        link: string;
        alt?: string;
        disBaseLink?: string;
        title?: string;
    };
    orderable?: boolean;
    price?: number;
    priceMax?: number;
    prices?: {
        [key: string]: number;
    } & {};
    productName?: string;
    productType?: {
        [key: string]: any;
    } & {
        bundle?: boolean;
        item?: boolean;
        master?: boolean;
        option?: boolean;
        set?: boolean;
        variant?: boolean;
        variationGroup?: boolean;
    };
    representedProduct?: {
        [key: string]: any;
    } & {
        id: string;
    };
    representedProducts?: Array<object>;
    variationAttributes?: Array<object>;
};
export declare type ProductSearchResult = {
    [key: string]: any;
} & {
    limit: number;
    hits: Array<object>;
    query: string;
    refinements: Array<object>;
    searchPhraseSuggestions: {
        [key: string]: any;
    } & {
        suggestedTerms: Array<object>;
        suggestedPhrases?: Array<object>;
    };
    sortingOptions: Array<object>;
    offset: number;
    total: number;
    data?: Array<object>;
    fetchData?: number;
    selectedRefinements?: {
        [key: string]: string;
    } & {};
    selectedSortingOption?: string;
};
export declare type Image = {
    [key: string]: any;
} & {
    link: string;
    alt?: string;
    disBaseLink?: string;
    title?: string;
};
export declare type VariationAttributeValue = {
    [key: string]: any;
} & {
    value: string;
    description?: string;
    image?: {
        [key: string]: any;
    } & {
        link: string;
        alt?: string;
        disBaseLink?: string;
        title?: string;
    };
    imageSwatch?: {
        [key: string]: any;
    } & {
        link: string;
        alt?: string;
        disBaseLink?: string;
        title?: string;
    };
    name?: string;
    orderable?: boolean;
};
export declare type Suggestion = {
    [key: string]: any;
} & {
    suggestedTerms: Array<object>;
    suggestedPhrases?: Array<object>;
};
export declare type SuggestionResult = {
    [key: string]: any;
} & {
    searchPhrase: string;
    brandSuggestions?: {
        [key: string]: any;
    } & {
        suggestedTerms: Array<object>;
        suggestedPhrases?: Array<object>;
    };
    categorySuggestions?: {
        [key: string]: any;
    } & {
        suggestedTerms: Array<object>;
        categories?: Array<object>;
        suggestedPhrases?: Array<object>;
    };
    productSuggestions?: {
        [key: string]: any;
    } & {
        suggestedTerms: Array<object>;
        products?: Array<object>;
        suggestedPhrases?: Array<object>;
    };
    customSuggestion?: {
        [key: string]: any;
    } & {
        suggestedTerms: Array<object>;
        customSuggestion?: string;
        suggestedPhrases?: Array<object>;
    };
};
//# sourceMappingURL=shopperSearch.types.d.ts.map